Liferay.Loader.define("commerce-frontend-taglib@10.1.5/add_to_tick_item/AddToTickItem.soy", ['module', 'exports', 'require', 'frontend-js-metal-web$metal-component', 'frontend-js-metal-web$metal-soy'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = exports.templates = exports.AddToTickItem = void 0;

    var _metalComponent = _interopRequireDefault(require("frontend-js-metal-web$metal-component"));

    var _metalSoy = _interopRequireDefault(require("frontend-js-metal-web$metal-soy"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    var templates;
    exports.templates = templates;
    goog.loadModule(function (exports) {
      var soy = goog.require('soy');

      goog.require('soydata');

      // This file was automatically generated from AddToTickItem.soy.
      // Please don't edit this file by hand.

      /**
       * @fileoverview Templates in namespace AddToTickItem.
       * @public
       */

      goog.module('AddToTickItem.incrementaldom');

      var incrementalDom = goog.require('incrementaldom');

      goog.require('soy.asserts');

      goog.require('soy.idom');

      /**
       * @param {{
       *  added: (boolean|null|undefined)
       * }} opt_data
       * @param {Object<string, *>=} opt_ijData
       * @param {Object<string, *>=} opt_ijData_deprecated
       * @return {void}
       * @suppress {checkTypes}
       */

      function $render(opt_data, opt_ijData, opt_ijData_deprecated) {
        opt_ijData = opt_ijData_deprecated || opt_ijData;
        opt_data = opt_data || {};
        /** @type {boolean|null|undefined} */

        var added = soy.asserts.assertType(opt_data.added == null || goog.isBoolean(opt_data.added) || opt_data.added === 1 || opt_data.added === 0, 'added', opt_data.added, 'boolean|null|undefined');
        var svgClasses__soy1566 = '';
        svgClasses__soy1566 += 'commerce-add-to-tick';
        svgClasses__soy1566 += added ? ' is-added' : '';
        incrementalDom.elementOpenStart('svg');
        incrementalDom.attr('xmlns', 'http://www.w3.org/2000/svg');
        incrementalDom.attr('viewBox', '0 0 200 200');
        incrementalDom.attr('class', svgClasses__soy1566);
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('path');
        incrementalDom.attr('class', 'commerce-add-to-tick__circle');
        incrementalDom.attr('d', 'M100,13a87,87,0,1,1-87,87,87.1,87.1,0,0,1,87-87m0-13A100,100,0,1,0,200,100,100,100,0,0,0,100,0Z');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementClose('path');
        incrementalDom.elementOpenStart('g');
        incrementalDom.attr('class', 'commerce-add-to-tick__add');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('line');
        incrementalDom.attr('x1', '100');
        incrementalDom.attr('y1', '69.87');
        incrementalDom.attr('x2', '100');
        incrementalDom.attr('y2', '130.13');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementClose('line');
        incrementalDom.elementOpenStart('line');
        incrementalDom.attr('x1', '69.87');
        incrementalDom.attr('y1', '100');
        incrementalDom.attr('x2', '130.13');
        incrementalDom.attr('y2', '100');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementClose('line');
        incrementalDom.elementClose('g');
        incrementalDom.elementOpenStart('polyline');
        incrementalDom.attr('class', 'commerce-add-to-tick__tick');
        incrementalDom.attr('points', '69.82 95.33 92.64 118.14 130.09 80.69');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementClose('polyline');
        incrementalDom.elementClose('svg');
      }

      exports.render = $render;
      /**
       * @typedef {{
       *  added: (boolean|null|undefined)
       * }}
       */

      $render.Params;

      if (goog.DEBUG) {
        $render.soyTemplateName = 'AddToTickItem.render';
      }

      exports.render.params = ["added"];
      exports.render.types = {
        "added": "bool "
      };
      exports.templates = templates = exports;
      return exports;
    });

    var AddToTickItem = /*#__PURE__*/function (_Component) {
      _inherits(AddToTickItem, _Component);

      function AddToTickItem() {
        _classCallCheck(this, AddToTickItem);

        return _possibleConstructorReturn(this, _getPrototypeOf(AddToTickItem).apply(this, arguments));
      }

      return AddToTickItem;
    }(_metalComponent.default);

    exports.AddToTickItem = AddToTickItem;

    _metalSoy.default.register(AddToTickItem, templates);

    var _default = templates;
    /* jshint ignore:end */

    exports.default = _default;
    //# sourceMappingURL=AddToTickItem.soy.js.map
  }
});
//# sourceMappingURL=AddToTickItem.soy.js.map