Liferay.Loader.define("commerce-bom-admin-web@4.0.30/js/reducers/app.es", ['module', 'exports', 'require', '../actions/app.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = reducer;
    exports.initialState = void 0;

    var _app = require("../actions/app.es");

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    var initialState = {
      areaApiUrl: null,
      error: null,
      initialized: false,
      loading: false,
      productApiUrl: null,
      spritemap: null
    };
    exports.initialState = initialState;

    function reducer() {
      var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
      var action = arguments.length > 1 ? arguments[1] : undefined;

      switch (action.type) {
        case _app.actionDefinition.SET_ERROR:
          return _objectSpread(_objectSpread({}, state), {}, {
            error: action.payload
          });

        case _app.actionDefinition.INITIALIZE_APP_DATA:
          return _objectSpread(_objectSpread(_objectSpread({}, state), action.payload), {}, {
            initialized: true
          });

        case _app.actionDefinition.SET_LOADING:
          return _objectSpread(_objectSpread({}, state), {}, {
            loading: action.payload
          });

        case _app.actionDefinition.SET_SPRITEMAP:
          return _objectSpread(_objectSpread({}, state), {}, {
            spritemap: action.payload
          });

        default:
          return state;
      }
    }
    //# sourceMappingURL=app.es.js.map
  }
});
//# sourceMappingURL=app.es.js.map