<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
CPContentHelper cpContentHelper = (CPContentHelper)request.getAttribute(CPContentWebKeys.CP_CONTENT_HELPER);

CPInstance cpInstance = cpContentHelper.getDefaultCPInstance(request);

String addToCartId = PortalUtil.generateRandomKey(request, "add-to-cart");

long cpInstanceId = 0;

if (cpInstance != null) {
	cpInstanceId = cpInstance.getCPInstanceId();
}
%>

<commerce-ui:add-to-cart
	CPInstanceId="<%= (cpInstance == null) ? 0 : cpInstanceId %>"
	id="<%= addToCartId %>"
/>