Liferay.Loader.define("commerce-frontend-js@3.0.26/ServiceProvider/commerce-admin-catalog/v1.0/Catalog", ['module', 'exports', 'require', '../../../utilities/AJAX/index'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _index = _interopRequireDefault(require("../../../utilities/AJAX/index"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var CATALOG_PATH = '/catalog';
    var VERSION = 'v1.0';

    function resolveCatalogPath() {
      var basePath = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
      var catalogId = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';
      return "".concat(basePath).concat(VERSION).concat(CATALOG_PATH, "/").concat(catalogId);
    }

    var _default = function _default(basePath) {
      return {
        getCatalogById: function getCatalogById(catalogId) {
          return _index.default.GET(resolveCatalogPath(basePath, catalogId));
        }
      };
    };

    exports.default = _default;
    //# sourceMappingURL=Catalog.js.map
  }
});
//# sourceMappingURL=Catalog.js.map