package org.apache.jsp.discount;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import com.liferay.commerce.currency.model.CommerceCurrency;
import com.liferay.commerce.discount.constants.CommerceDiscountConstants;
import com.liferay.commerce.discount.exception.CommerceDiscountCouponCodeException;
import com.liferay.commerce.discount.exception.CommerceDiscountExpirationDateException;
import com.liferay.commerce.discount.exception.DuplicateCommerceDiscountException;
import com.liferay.commerce.discount.model.CommerceDiscount;
import com.liferay.commerce.discount.model.CommerceDiscountRule;
import com.liferay.commerce.discount.rule.type.CommerceDiscountRuleType;
import com.liferay.commerce.discount.rule.type.CommerceDiscountRuleTypeJSPContributor;
import com.liferay.commerce.discount.target.CommerceDiscountTarget;
import com.liferay.commerce.price.list.constants.CommercePriceListConstants;
import com.liferay.commerce.price.list.exception.CommercePriceListCurrencyException;
import com.liferay.commerce.price.list.exception.CommercePriceListExpirationDateException;
import com.liferay.commerce.price.list.exception.CommercePriceListParentPriceListGroupIdException;
import com.liferay.commerce.price.list.exception.DuplicateCommerceTierPriceEntryException;
import com.liferay.commerce.price.list.model.CommercePriceEntry;
import com.liferay.commerce.price.list.model.CommercePriceList;
import com.liferay.commerce.price.list.model.CommerceTierPriceEntry;
import com.liferay.commerce.pricing.constants.CommercePriceModifierConstants;
import com.liferay.commerce.pricing.exception.CommercePriceModifierExpirationDateException;
import com.liferay.commerce.pricing.exception.NoSuchPricingClassException;
import com.liferay.commerce.pricing.model.CommercePriceModifier;
import com.liferay.commerce.pricing.model.CommercePricingClass;
import com.liferay.commerce.pricing.type.CommercePriceModifierType;
import com.liferay.commerce.pricing.web.internal.constants.CommerceDiscountScreenNavigationConstants;
import com.liferay.commerce.pricing.web.internal.constants.CommercePricingClassScreenNavigationConstants;
import com.liferay.commerce.pricing.web.internal.display.context.AddedAllCommerceDiscountRuleDisplayContext;
import com.liferay.commerce.pricing.web.internal.display.context.AddedAnyCommerceDiscountRuleDisplayContext;
import com.liferay.commerce.pricing.web.internal.display.context.CPDefinitionPricingClassDisplayContext;
import com.liferay.commerce.pricing.web.internal.display.context.CartTotalCommerceDiscountRuleDisplayContext;
import com.liferay.commerce.pricing.web.internal.display.context.CommerceDiscountDisplayContext;
import com.liferay.commerce.pricing.web.internal.display.context.CommerceDiscountQualifiersDisplayContext;
import com.liferay.commerce.pricing.web.internal.display.context.CommerceDiscountRuleDisplayContext;
import com.liferay.commerce.pricing.web.internal.display.context.CommercePriceEntryDisplayContext;
import com.liferay.commerce.pricing.web.internal.display.context.CommercePriceListDisplayContext;
import com.liferay.commerce.pricing.web.internal.display.context.CommercePriceListQualifiersDisplayContext;
import com.liferay.commerce.pricing.web.internal.display.context.CommercePricingClassCPDefinitionDisplayContext;
import com.liferay.commerce.pricing.web.internal.display.context.CommercePricingClassDiscountDisplayContext;
import com.liferay.commerce.pricing.web.internal.display.context.CommercePricingClassDisplayContext;
import com.liferay.commerce.pricing.web.internal.display.context.CommercePricingClassPriceListDisplayContext;
import com.liferay.commerce.pricing.web.internal.display.context.CommerceTierCommercePriceEntryDisplayContext;
import com.liferay.commerce.pricing.web.internal.frontend.constants.CommercePricingDataSetConstants;
import com.liferay.commerce.pricing.web.internal.servlet.taglib.ui.constants.CommercePriceListScreenNavigationConstants;
import com.liferay.commerce.product.exception.NoSuchCatalogException;
import com.liferay.commerce.product.model.CPDefinition;
import com.liferay.commerce.product.model.CProduct;
import com.liferay.commerce.product.model.CommerceCatalog;
import com.liferay.petra.string.StringPool;
import com.liferay.portal.kernel.bean.BeanParamUtil;
import com.liferay.portal.kernel.language.LanguageUtil;
import com.liferay.portal.kernel.portlet.LiferayWindowState;
import com.liferay.portal.kernel.security.permission.ActionKeys;
import com.liferay.portal.kernel.util.Constants;
import com.liferay.portal.kernel.util.HashMapBuilder;
import com.liferay.portal.kernel.util.HtmlUtil;
import com.liferay.portal.kernel.util.LocaleUtil;
import com.liferay.portal.kernel.util.ParamUtil;
import com.liferay.portal.kernel.util.UnicodeProperties;
import com.liferay.portal.kernel.util.Validator;
import com.liferay.portal.kernel.util.WebKeys;
import com.liferay.portal.kernel.workflow.WorkflowConstants;
import com.liferay.taglib.servlet.PipingServletResponse;
import com.liferay.taglib.util.CustomAttributesUtil;
import java.math.BigDecimal;
import java.util.List;
import java.util.Locale;
import java.util.Objects;
import javax.portlet.PortletURL;

public final class details_jsp extends org.apache.jasper.runtime.HttpJspBase
    implements org.apache.jasper.runtime.JspSourceDependent {

  private static final JspFactory _jspxFactory = JspFactory.getDefaultFactory();

  private static java.util.List<String> _jspx_dependants;

  static {
    _jspx_dependants = new java.util.ArrayList<String>(6);
    _jspx_dependants.add("/init.jsp");
    _jspx_dependants.add("/discount/coupon_code.jspf");
    _jspx_dependants.add("/discount/target/products.jspf");
    _jspx_dependants.add("/discount/target/categories.jspf");
    _jspx_dependants.add("/discount/target/pricing_classes.jspf");
    _jspx_dependants.add("/discount/rules.jspf");
  }

  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_aui_model$1context_model_bean_nobody;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_c_if_test;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_aui_input_name_label_formName_nobody;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_clay_headless$1data$1set$1display_portletURL_pageNumber_namespace_itemsPerPage_id_formId_clayDataSetActionDropdownItems_apiURL_nobody;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_commerce$1ui_panel_title_collapsible_collapsed_bodyClasses;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_aui_validator_name;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_aui_script_require;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_aui_script;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_aui_input_value_type_name_label_helpMessage;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_aui_input_value_type_name_label_checked_nobody;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_aui_form_name_method_cssClass_action;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_aui_option_value_selected_label_nobody;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_clay_headless$1data$1set$1display_portletURL_pageNumber_namespace_itemsPerPage_id_formId_creationMenu_clayDataSetActionDropdownItems_apiURL_nobody;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_liferay$1frontend_defineObjects_nobody;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_commerce$1ui_panel_title;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_aui_fieldset_helpMessage;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_aui_input_value_type_name_label_nobody;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_portlet_namespace_nobody;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_aui_input_name_label_autoFocus_nobody;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_aui_validator_name_nobody;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_aui_input_value_type_name_nobody;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_aui_select_required_name_label;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_aui_input_name_formName_disabled_dateTogglerCheckboxLabel_nobody;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_aui_select_required_onChange_name_label;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_portlet_defineObjects_nobody;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_liferay$1ui_error_message_exception_nobody;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_liferay$1expando_custom$1attribute$1list_label_editable_classPK_className_nobody;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_commerce$1ui_panel_title_bodyClasses;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_liferay$1theme_defineObjects_nobody;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_portlet_actionURL_var_name_nobody;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_commerce$1ui_panel_title_collapsed_collapseSwitchName_collapseLabel_bodyClasses;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_aui_input_value_type_name_label;
  private org.apache.jasper.runtime.TagHandlerPool _jspx_tagPool_aui_input_value_type_suffix_name_ignoreRequestValue;

  private org.glassfish.jsp.api.ResourceInjector _jspx_resourceInjector;

  public java.util.List<String> getDependants() {
    return _jspx_dependants;
  }

  public void _jspInit() {
    _jspx_tagPool_aui_model$1context_model_bean_nobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_c_if_test = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_aui_input_name_label_formName_nobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_clay_headless$1data$1set$1display_portletURL_pageNumber_namespace_itemsPerPage_id_formId_clayDataSetActionDropdownItems_apiURL_nobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_commerce$1ui_panel_title_collapsible_collapsed_bodyClasses = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_aui_validator_name = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_aui_script_require = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_aui_script = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_aui_input_value_type_name_label_helpMessage = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_aui_input_value_type_name_label_checked_nobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_aui_form_name_method_cssClass_action = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_aui_option_value_selected_label_nobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_clay_headless$1data$1set$1display_portletURL_pageNumber_namespace_itemsPerPage_id_formId_creationMenu_clayDataSetActionDropdownItems_apiURL_nobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_liferay$1frontend_defineObjects_nobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_commerce$1ui_panel_title = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_aui_fieldset_helpMessage = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_aui_input_value_type_name_label_nobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_portlet_namespace_nobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_aui_input_name_label_autoFocus_nobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_aui_validator_name_nobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_aui_input_value_type_name_nobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_aui_select_required_name_label = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_aui_input_name_formName_disabled_dateTogglerCheckboxLabel_nobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_aui_select_required_onChange_name_label = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_portlet_defineObjects_nobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_liferay$1ui_error_message_exception_nobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_liferay$1expando_custom$1attribute$1list_label_editable_classPK_className_nobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_commerce$1ui_panel_title_bodyClasses = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_liferay$1theme_defineObjects_nobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_portlet_actionURL_var_name_nobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_commerce$1ui_panel_title_collapsed_collapseSwitchName_collapseLabel_bodyClasses = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_aui_input_value_type_name_label = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _jspx_tagPool_aui_input_value_type_suffix_name_ignoreRequestValue = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
  }

  public void _jspDestroy() {
    _jspx_tagPool_aui_model$1context_model_bean_nobody.release();
    _jspx_tagPool_c_if_test.release();
    _jspx_tagPool_aui_input_name_label_formName_nobody.release();
    _jspx_tagPool_clay_headless$1data$1set$1display_portletURL_pageNumber_namespace_itemsPerPage_id_formId_clayDataSetActionDropdownItems_apiURL_nobody.release();
    _jspx_tagPool_commerce$1ui_panel_title_collapsible_collapsed_bodyClasses.release();
    _jspx_tagPool_aui_validator_name.release();
    _jspx_tagPool_aui_script_require.release();
    _jspx_tagPool_aui_script.release();
    _jspx_tagPool_aui_input_value_type_name_label_helpMessage.release();
    _jspx_tagPool_aui_input_value_type_name_label_checked_nobody.release();
    _jspx_tagPool_aui_form_name_method_cssClass_action.release();
    _jspx_tagPool_aui_option_value_selected_label_nobody.release();
    _jspx_tagPool_clay_headless$1data$1set$1display_portletURL_pageNumber_namespace_itemsPerPage_id_formId_creationMenu_clayDataSetActionDropdownItems_apiURL_nobody.release();
    _jspx_tagPool_liferay$1frontend_defineObjects_nobody.release();
    _jspx_tagPool_commerce$1ui_panel_title.release();
    _jspx_tagPool_aui_fieldset_helpMessage.release();
    _jspx_tagPool_aui_input_value_type_name_label_nobody.release();
    _jspx_tagPool_portlet_namespace_nobody.release();
    _jspx_tagPool_aui_input_name_label_autoFocus_nobody.release();
    _jspx_tagPool_aui_validator_name_nobody.release();
    _jspx_tagPool_aui_input_value_type_name_nobody.release();
    _jspx_tagPool_aui_select_required_name_label.release();
    _jspx_tagPool_aui_input_name_formName_disabled_dateTogglerCheckboxLabel_nobody.release();
    _jspx_tagPool_aui_select_required_onChange_name_label.release();
    _jspx_tagPool_portlet_defineObjects_nobody.release();
    _jspx_tagPool_liferay$1ui_error_message_exception_nobody.release();
    _jspx_tagPool_liferay$1expando_custom$1attribute$1list_label_editable_classPK_className_nobody.release();
    _jspx_tagPool_commerce$1ui_panel_title_bodyClasses.release();
    _jspx_tagPool_liferay$1theme_defineObjects_nobody.release();
    _jspx_tagPool_portlet_actionURL_var_name_nobody.release();
    _jspx_tagPool_commerce$1ui_panel_title_collapsed_collapseSwitchName_collapseLabel_bodyClasses.release();
    _jspx_tagPool_aui_input_value_type_name_label.release();
    _jspx_tagPool_aui_input_value_type_suffix_name_ignoreRequestValue.release();
  }

  public void _jspService(HttpServletRequest request, HttpServletResponse response)
        throws java.io.IOException, ServletException {

    PageContext pageContext = null;
    HttpSession session = null;
    ServletContext application = null;
    ServletConfig config = null;
    JspWriter out = null;
    Object page = this;
    JspWriter _jspx_out = null;
    PageContext _jspx_page_context = null;

    try {
      response.setContentType("text/html");
      pageContext = _jspxFactory.getPageContext(this, request, response,
      			null, true, 8192, true);
      _jspx_page_context = pageContext;
      application = pageContext.getServletContext();
      config = pageContext.getServletConfig();
      session = pageContext.getSession();
      out = pageContext.getOut();
      _jspx_out = out;
      _jspx_resourceInjector = (org.glassfish.jsp.api.ResourceInjector) application.getAttribute("com.sun.appserv.jsp.resource.injector");

      out.write('\n');
      out.write('\n');
      out.write("\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n");
      //  liferay-frontend:defineObjects
      com.liferay.frontend.taglib.servlet.taglib.DefineObjectsTag _jspx_th_liferay$1frontend_defineObjects_0 = (com.liferay.frontend.taglib.servlet.taglib.DefineObjectsTag) _jspx_tagPool_liferay$1frontend_defineObjects_nobody.get(com.liferay.frontend.taglib.servlet.taglib.DefineObjectsTag.class);
      _jspx_th_liferay$1frontend_defineObjects_0.setPageContext(_jspx_page_context);
      _jspx_th_liferay$1frontend_defineObjects_0.setParent(null);
      int _jspx_eval_liferay$1frontend_defineObjects_0 = _jspx_th_liferay$1frontend_defineObjects_0.doStartTag();
      if (_jspx_th_liferay$1frontend_defineObjects_0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
        _jspx_tagPool_liferay$1frontend_defineObjects_nobody.reuse(_jspx_th_liferay$1frontend_defineObjects_0);
        return;
      }
      _jspx_tagPool_liferay$1frontend_defineObjects_nobody.reuse(_jspx_th_liferay$1frontend_defineObjects_0);
      java.lang.String currentURL = null;
      javax.portlet.PortletURL currentURLObj = null;
      java.lang.String npmResolvedPackageName = null;
      java.util.ResourceBundle resourceBundle = null;
      javax.portlet.WindowState windowState = null;
      currentURL = (java.lang.String) _jspx_page_context.findAttribute("currentURL");
      currentURLObj = (javax.portlet.PortletURL) _jspx_page_context.findAttribute("currentURLObj");
      npmResolvedPackageName = (java.lang.String) _jspx_page_context.findAttribute("npmResolvedPackageName");
      resourceBundle = (java.util.ResourceBundle) _jspx_page_context.findAttribute("resourceBundle");
      windowState = (javax.portlet.WindowState) _jspx_page_context.findAttribute("windowState");
      out.write('\n');
      out.write('\n');
      //  liferay-theme:defineObjects
      com.liferay.taglib.theme.DefineObjectsTag _jspx_th_liferay$1theme_defineObjects_0 = (com.liferay.taglib.theme.DefineObjectsTag) _jspx_tagPool_liferay$1theme_defineObjects_nobody.get(com.liferay.taglib.theme.DefineObjectsTag.class);
      _jspx_th_liferay$1theme_defineObjects_0.setPageContext(_jspx_page_context);
      _jspx_th_liferay$1theme_defineObjects_0.setParent(null);
      int _jspx_eval_liferay$1theme_defineObjects_0 = _jspx_th_liferay$1theme_defineObjects_0.doStartTag();
      if (_jspx_th_liferay$1theme_defineObjects_0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
        _jspx_tagPool_liferay$1theme_defineObjects_nobody.reuse(_jspx_th_liferay$1theme_defineObjects_0);
        return;
      }
      _jspx_tagPool_liferay$1theme_defineObjects_nobody.reuse(_jspx_th_liferay$1theme_defineObjects_0);
      com.liferay.portal.kernel.theme.ThemeDisplay themeDisplay = null;
      com.liferay.portal.kernel.model.Company company = null;
      com.liferay.portal.kernel.model.Account account = null;
      com.liferay.portal.kernel.model.User user = null;
      com.liferay.portal.kernel.model.User realUser = null;
      com.liferay.portal.kernel.model.Contact contact = null;
      com.liferay.portal.kernel.model.Layout layout = null;
      java.util.List layouts = null;
      java.lang.Long plid = null;
      com.liferay.portal.kernel.model.LayoutTypePortlet layoutTypePortlet = null;
      java.lang.Long scopeGroupId = null;
      com.liferay.portal.kernel.security.permission.PermissionChecker permissionChecker = null;
      java.util.Locale locale = null;
      java.util.TimeZone timeZone = null;
      com.liferay.portal.kernel.model.Theme theme = null;
      com.liferay.portal.kernel.model.ColorScheme colorScheme = null;
      com.liferay.portal.kernel.theme.PortletDisplay portletDisplay = null;
      java.lang.Long portletGroupId = null;
      themeDisplay = (com.liferay.portal.kernel.theme.ThemeDisplay) _jspx_page_context.findAttribute("themeDisplay");
      company = (com.liferay.portal.kernel.model.Company) _jspx_page_context.findAttribute("company");
      account = (com.liferay.portal.kernel.model.Account) _jspx_page_context.findAttribute("account");
      user = (com.liferay.portal.kernel.model.User) _jspx_page_context.findAttribute("user");
      realUser = (com.liferay.portal.kernel.model.User) _jspx_page_context.findAttribute("realUser");
      contact = (com.liferay.portal.kernel.model.Contact) _jspx_page_context.findAttribute("contact");
      layout = (com.liferay.portal.kernel.model.Layout) _jspx_page_context.findAttribute("layout");
      layouts = (java.util.List) _jspx_page_context.findAttribute("layouts");
      plid = (java.lang.Long) _jspx_page_context.findAttribute("plid");
      layoutTypePortlet = (com.liferay.portal.kernel.model.LayoutTypePortlet) _jspx_page_context.findAttribute("layoutTypePortlet");
      scopeGroupId = (java.lang.Long) _jspx_page_context.findAttribute("scopeGroupId");
      permissionChecker = (com.liferay.portal.kernel.security.permission.PermissionChecker) _jspx_page_context.findAttribute("permissionChecker");
      locale = (java.util.Locale) _jspx_page_context.findAttribute("locale");
      timeZone = (java.util.TimeZone) _jspx_page_context.findAttribute("timeZone");
      theme = (com.liferay.portal.kernel.model.Theme) _jspx_page_context.findAttribute("theme");
      colorScheme = (com.liferay.portal.kernel.model.ColorScheme) _jspx_page_context.findAttribute("colorScheme");
      portletDisplay = (com.liferay.portal.kernel.theme.PortletDisplay) _jspx_page_context.findAttribute("portletDisplay");
      portletGroupId = (java.lang.Long) _jspx_page_context.findAttribute("portletGroupId");
      out.write('\n');
      out.write('\n');
      //  portlet:defineObjects
      com.liferay.taglib.portlet.DefineObjectsTag _jspx_th_portlet_defineObjects_0 = (com.liferay.taglib.portlet.DefineObjectsTag) _jspx_tagPool_portlet_defineObjects_nobody.get(com.liferay.taglib.portlet.DefineObjectsTag.class);
      _jspx_th_portlet_defineObjects_0.setPageContext(_jspx_page_context);
      _jspx_th_portlet_defineObjects_0.setParent(null);
      int _jspx_eval_portlet_defineObjects_0 = _jspx_th_portlet_defineObjects_0.doStartTag();
      if (_jspx_th_portlet_defineObjects_0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
        _jspx_tagPool_portlet_defineObjects_nobody.reuse(_jspx_th_portlet_defineObjects_0);
        return;
      }
      _jspx_tagPool_portlet_defineObjects_nobody.reuse(_jspx_th_portlet_defineObjects_0);
      javax.portlet.ActionRequest actionRequest = null;
      javax.portlet.ActionResponse actionResponse = null;
      javax.portlet.EventRequest eventRequest = null;
      javax.portlet.EventResponse eventResponse = null;
      com.liferay.portal.kernel.portlet.LiferayPortletRequest liferayPortletRequest = null;
      com.liferay.portal.kernel.portlet.LiferayPortletResponse liferayPortletResponse = null;
      javax.portlet.PortletConfig portletConfig = null;
      java.lang.String portletName = null;
      javax.portlet.PortletPreferences portletPreferences = null;
      java.util.Map portletPreferencesValues = null;
      javax.portlet.PortletSession portletSession = null;
      java.util.Map portletSessionScope = null;
      javax.portlet.RenderRequest renderRequest = null;
      javax.portlet.RenderResponse renderResponse = null;
      javax.portlet.ResourceRequest resourceRequest = null;
      javax.portlet.ResourceResponse resourceResponse = null;
      actionRequest = (javax.portlet.ActionRequest) _jspx_page_context.findAttribute("actionRequest");
      actionResponse = (javax.portlet.ActionResponse) _jspx_page_context.findAttribute("actionResponse");
      eventRequest = (javax.portlet.EventRequest) _jspx_page_context.findAttribute("eventRequest");
      eventResponse = (javax.portlet.EventResponse) _jspx_page_context.findAttribute("eventResponse");
      liferayPortletRequest = (com.liferay.portal.kernel.portlet.LiferayPortletRequest) _jspx_page_context.findAttribute("liferayPortletRequest");
      liferayPortletResponse = (com.liferay.portal.kernel.portlet.LiferayPortletResponse) _jspx_page_context.findAttribute("liferayPortletResponse");
      portletConfig = (javax.portlet.PortletConfig) _jspx_page_context.findAttribute("portletConfig");
      portletName = (java.lang.String) _jspx_page_context.findAttribute("portletName");
      portletPreferences = (javax.portlet.PortletPreferences) _jspx_page_context.findAttribute("portletPreferences");
      portletPreferencesValues = (java.util.Map) _jspx_page_context.findAttribute("portletPreferencesValues");
      portletSession = (javax.portlet.PortletSession) _jspx_page_context.findAttribute("portletSession");
      portletSessionScope = (java.util.Map) _jspx_page_context.findAttribute("portletSessionScope");
      renderRequest = (javax.portlet.RenderRequest) _jspx_page_context.findAttribute("renderRequest");
      renderResponse = (javax.portlet.RenderResponse) _jspx_page_context.findAttribute("renderResponse");
      resourceRequest = (javax.portlet.ResourceRequest) _jspx_page_context.findAttribute("resourceRequest");
      resourceResponse = (javax.portlet.ResourceResponse) _jspx_page_context.findAttribute("resourceResponse");
      out.write('\n');
      out.write('\n');

String redirect = ParamUtil.getString(request, "redirect");

String backURL = ParamUtil.getString(request, "backURL", redirect);

      out.write('\n');
      out.write('\n');

CommerceDiscountDisplayContext commerceDiscountDisplayContext = (CommerceDiscountDisplayContext)request.getAttribute(WebKeys.PORTLET_DISPLAY_CONTEXT);

CommerceDiscount commerceDiscount = commerceDiscountDisplayContext.getCommerceDiscount();
long commerceDiscountId = commerceDiscountDisplayContext.getCommerceDiscountId();

PortletURL portletDiscountRuleURL = commerceDiscountDisplayContext.getPortletDiscountRuleURL();

boolean neverExpire = ParamUtil.getBoolean(request, "neverExpire", true);
boolean usePercentage = ParamUtil.getBoolean(request, "usePercentage");

String target = ParamUtil.getString(request, "target");

if (Validator.isBlank(target)) {
	target = commerceDiscount.getTarget();
}

String colCssClass = "col-6";
String amountSuffix = HtmlUtil.escape(commerceDiscountDisplayContext.getDefaultCommerceCurrencyCode());

if (usePercentage) {
	colCssClass = "col-4";
	amountSuffix = StringPool.PERCENT;
}

boolean hasPermission = commerceDiscountDisplayContext.hasPermission(ActionKeys.UPDATE);

      out.write('\n');
      out.write('\n');
      //  portlet:actionURL
      com.liferay.taglib.portlet.ActionURLTag _jspx_th_portlet_actionURL_0 = (com.liferay.taglib.portlet.ActionURLTag) _jspx_tagPool_portlet_actionURL_var_name_nobody.get(com.liferay.taglib.portlet.ActionURLTag.class);
      _jspx_th_portlet_actionURL_0.setPageContext(_jspx_page_context);
      _jspx_th_portlet_actionURL_0.setParent(null);
      _jspx_th_portlet_actionURL_0.setName("/commerce_discount/edit_commerce_discount");
      _jspx_th_portlet_actionURL_0.setVar("editCommerceDiscountActionURL");
      int _jspx_eval_portlet_actionURL_0 = _jspx_th_portlet_actionURL_0.doStartTag();
      if (_jspx_th_portlet_actionURL_0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
        _jspx_tagPool_portlet_actionURL_var_name_nobody.reuse(_jspx_th_portlet_actionURL_0);
        return;
      }
      _jspx_tagPool_portlet_actionURL_var_name_nobody.reuse(_jspx_th_portlet_actionURL_0);
      java.lang.String editCommerceDiscountActionURL = null;
      editCommerceDiscountActionURL = (java.lang.String) _jspx_page_context.findAttribute("editCommerceDiscountActionURL");
      out.write('\n');
      out.write('\n');
      //  aui:form
      com.liferay.taglib.aui.FormTag _jspx_th_aui_form_0 = (com.liferay.taglib.aui.FormTag) _jspx_tagPool_aui_form_name_method_cssClass_action.get(com.liferay.taglib.aui.FormTag.class);
      _jspx_th_aui_form_0.setPageContext(_jspx_page_context);
      _jspx_th_aui_form_0.setParent(null);
      _jspx_th_aui_form_0.setAction( editCommerceDiscountActionURL );
      _jspx_th_aui_form_0.setCssClass("pt-4");
      _jspx_th_aui_form_0.setMethod("post");
      _jspx_th_aui_form_0.setName("fm");
      int _jspx_eval_aui_form_0 = _jspx_th_aui_form_0.doStartTag();
      if (_jspx_eval_aui_form_0 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
        out.write('\n');
        out.write('	');
        //  aui:input
        com.liferay.taglib.aui.InputTag _jspx_th_aui_input_0 = (com.liferay.taglib.aui.InputTag) _jspx_tagPool_aui_input_value_type_name_nobody.get(com.liferay.taglib.aui.InputTag.class);
        _jspx_th_aui_input_0.setPageContext(_jspx_page_context);
        _jspx_th_aui_input_0.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_form_0);
        _jspx_th_aui_input_0.setName( Constants.CMD );
        _jspx_th_aui_input_0.setType("hidden");
        _jspx_th_aui_input_0.setValue( (commerceDiscount == null) ? Constants.ADD : Constants.UPDATE );
        int _jspx_eval_aui_input_0 = _jspx_th_aui_input_0.doStartTag();
        if (_jspx_th_aui_input_0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
          _jspx_tagPool_aui_input_value_type_name_nobody.reuse(_jspx_th_aui_input_0);
          return;
        }
        _jspx_tagPool_aui_input_value_type_name_nobody.reuse(_jspx_th_aui_input_0);
        out.write('\n');
        out.write('	');
        //  aui:input
        com.liferay.taglib.aui.InputTag _jspx_th_aui_input_1 = (com.liferay.taglib.aui.InputTag) _jspx_tagPool_aui_input_value_type_name_nobody.get(com.liferay.taglib.aui.InputTag.class);
        _jspx_th_aui_input_1.setPageContext(_jspx_page_context);
        _jspx_th_aui_input_1.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_form_0);
        _jspx_th_aui_input_1.setName("redirect");
        _jspx_th_aui_input_1.setType("hidden");
        _jspx_th_aui_input_1.setValue( currentURL );
        int _jspx_eval_aui_input_1 = _jspx_th_aui_input_1.doStartTag();
        if (_jspx_th_aui_input_1.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
          _jspx_tagPool_aui_input_value_type_name_nobody.reuse(_jspx_th_aui_input_1);
          return;
        }
        _jspx_tagPool_aui_input_value_type_name_nobody.reuse(_jspx_th_aui_input_1);
        out.write('\n');
        out.write('	');
        //  aui:input
        com.liferay.taglib.aui.InputTag _jspx_th_aui_input_2 = (com.liferay.taglib.aui.InputTag) _jspx_tagPool_aui_input_value_type_name_nobody.get(com.liferay.taglib.aui.InputTag.class);
        _jspx_th_aui_input_2.setPageContext(_jspx_page_context);
        _jspx_th_aui_input_2.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_form_0);
        _jspx_th_aui_input_2.setName("commerceDiscountId");
        _jspx_th_aui_input_2.setType("hidden");
        _jspx_th_aui_input_2.setValue( commerceDiscountId );
        int _jspx_eval_aui_input_2 = _jspx_th_aui_input_2.doStartTag();
        if (_jspx_th_aui_input_2.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
          _jspx_tagPool_aui_input_value_type_name_nobody.reuse(_jspx_th_aui_input_2);
          return;
        }
        _jspx_tagPool_aui_input_value_type_name_nobody.reuse(_jspx_th_aui_input_2);
        out.write('\n');
        out.write('	');
        //  aui:input
        com.liferay.taglib.aui.InputTag _jspx_th_aui_input_3 = (com.liferay.taglib.aui.InputTag) _jspx_tagPool_aui_input_value_type_name_nobody.get(com.liferay.taglib.aui.InputTag.class);
        _jspx_th_aui_input_3.setPageContext(_jspx_page_context);
        _jspx_th_aui_input_3.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_form_0);
        _jspx_th_aui_input_3.setName("externalReferenceCode");
        _jspx_th_aui_input_3.setType("hidden");
        _jspx_th_aui_input_3.setValue( commerceDiscount.getExternalReferenceCode() );
        int _jspx_eval_aui_input_3 = _jspx_th_aui_input_3.doStartTag();
        if (_jspx_th_aui_input_3.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
          _jspx_tagPool_aui_input_value_type_name_nobody.reuse(_jspx_th_aui_input_3);
          return;
        }
        _jspx_tagPool_aui_input_value_type_name_nobody.reuse(_jspx_th_aui_input_3);
        out.write('\n');
        out.write('	');
        //  aui:input
        com.liferay.taglib.aui.InputTag _jspx_th_aui_input_4 = (com.liferay.taglib.aui.InputTag) _jspx_tagPool_aui_input_value_type_name_nobody.get(com.liferay.taglib.aui.InputTag.class);
        _jspx_th_aui_input_4.setPageContext(_jspx_page_context);
        _jspx_th_aui_input_4.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_form_0);
        _jspx_th_aui_input_4.setName("workflowAction");
        _jspx_th_aui_input_4.setType("hidden");
        _jspx_th_aui_input_4.setValue( String.valueOf(WorkflowConstants.ACTION_SAVE_DRAFT) );
        int _jspx_eval_aui_input_4 = _jspx_th_aui_input_4.doStartTag();
        if (_jspx_th_aui_input_4.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
          _jspx_tagPool_aui_input_value_type_name_nobody.reuse(_jspx_th_aui_input_4);
          return;
        }
        _jspx_tagPool_aui_input_value_type_name_nobody.reuse(_jspx_th_aui_input_4);
        out.write("\n\n\t");
        //  aui:model-context
        com.liferay.taglib.aui.ModelContextTag _jspx_th_aui_model$1context_0 = (com.liferay.taglib.aui.ModelContextTag) _jspx_tagPool_aui_model$1context_model_bean_nobody.get(com.liferay.taglib.aui.ModelContextTag.class);
        _jspx_th_aui_model$1context_0.setPageContext(_jspx_page_context);
        _jspx_th_aui_model$1context_0.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_form_0);
        _jspx_th_aui_model$1context_0.setBean( commerceDiscount );
        _jspx_th_aui_model$1context_0.setModel( CommerceDiscount.class );
        int _jspx_eval_aui_model$1context_0 = _jspx_th_aui_model$1context_0.doStartTag();
        if (_jspx_th_aui_model$1context_0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
          _jspx_tagPool_aui_model$1context_model_bean_nobody.reuse(_jspx_th_aui_model$1context_0);
          return;
        }
        _jspx_tagPool_aui_model$1context_model_bean_nobody.reuse(_jspx_th_aui_model$1context_0);
        out.write("\n\n\t<div class=\"row\">\n\t\t<div class=\"col-8\">\n\t\t\t");
        //  commerce-ui:panel
        com.liferay.commerce.frontend.taglib.servlet.taglib.PanelTag _jspx_th_commerce$1ui_panel_0 = (com.liferay.commerce.frontend.taglib.servlet.taglib.PanelTag) _jspx_tagPool_commerce$1ui_panel_title_collapsible_collapsed_bodyClasses.get(com.liferay.commerce.frontend.taglib.servlet.taglib.PanelTag.class);
        _jspx_th_commerce$1ui_panel_0.setPageContext(_jspx_page_context);
        _jspx_th_commerce$1ui_panel_0.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_form_0);
        _jspx_th_commerce$1ui_panel_0.setBodyClasses("flex-fill");
        _jspx_th_commerce$1ui_panel_0.setCollapsed( false );
        _jspx_th_commerce$1ui_panel_0.setCollapsible( false );
        _jspx_th_commerce$1ui_panel_0.setTitle( LanguageUtil.get(request, "details") );
        int _jspx_eval_commerce$1ui_panel_0 = _jspx_th_commerce$1ui_panel_0.doStartTag();
        if (_jspx_eval_commerce$1ui_panel_0 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
          out.write("\n\t\t\t\t<div class=\"row\">\n\t\t\t\t\t<div class=\"col-10\">\n\t\t\t\t\t\t");
          //  aui:input
          com.liferay.taglib.aui.InputTag _jspx_th_aui_input_5 = (com.liferay.taglib.aui.InputTag) _jspx_tagPool_aui_input_name_label_autoFocus_nobody.get(com.liferay.taglib.aui.InputTag.class);
          _jspx_th_aui_input_5.setPageContext(_jspx_page_context);
          _jspx_th_aui_input_5.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_commerce$1ui_panel_0);
          _jspx_th_aui_input_5.setAutoFocus( true );
          _jspx_th_aui_input_5.setLabel("name");
          _jspx_th_aui_input_5.setName("title");
          int _jspx_eval_aui_input_5 = _jspx_th_aui_input_5.doStartTag();
          if (_jspx_th_aui_input_5.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
            _jspx_tagPool_aui_input_name_label_autoFocus_nobody.reuse(_jspx_th_aui_input_5);
            return;
          }
          _jspx_tagPool_aui_input_name_label_autoFocus_nobody.reuse(_jspx_th_aui_input_5);
          out.write("\n\t\t\t\t\t</div>\n\n\t\t\t\t\t<div class=\"col-2\">\n\t\t\t\t\t\t");
          //  aui:input
          com.liferay.taglib.aui.InputTag _jspx_th_aui_input_6 = (com.liferay.taglib.aui.InputTag) _jspx_tagPool_aui_input_value_type_name_label_nobody.get(com.liferay.taglib.aui.InputTag.class);
          _jspx_th_aui_input_6.setPageContext(_jspx_page_context);
          _jspx_th_aui_input_6.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_commerce$1ui_panel_0);
          _jspx_th_aui_input_6.setLabel( HtmlUtil.escape("active") );
          _jspx_th_aui_input_6.setName("active");
          _jspx_th_aui_input_6.setType("toggle-switch");
          _jspx_th_aui_input_6.setValue( commerceDiscount.isActive() );
          int _jspx_eval_aui_input_6 = _jspx_th_aui_input_6.doStartTag();
          if (_jspx_th_aui_input_6.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
            _jspx_tagPool_aui_input_value_type_name_label_nobody.reuse(_jspx_th_aui_input_6);
            return;
          }
          _jspx_tagPool_aui_input_value_type_name_label_nobody.reuse(_jspx_th_aui_input_6);
          out.write("\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\n\t\t\t\t<div class=\"row\">\n\t\t\t\t\t<div class=\"col-6\">\n\t\t\t\t\t\t");
          //  aui:select
          com.liferay.taglib.aui.SelectTag _jspx_th_aui_select_0 = (com.liferay.taglib.aui.SelectTag) _jspx_tagPool_aui_select_required_onChange_name_label.get(com.liferay.taglib.aui.SelectTag.class);
          _jspx_th_aui_select_0.setPageContext(_jspx_page_context);
          _jspx_th_aui_select_0.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_commerce$1ui_panel_0);
          _jspx_th_aui_select_0.setLabel("type");
          _jspx_th_aui_select_0.setName("usePercentage");
          _jspx_th_aui_select_0.setOnChange( liferayPortletResponse.getNamespace() + "selectType();" );
          _jspx_th_aui_select_0.setRequired( true );
          int _jspx_eval_aui_select_0 = _jspx_th_aui_select_0.doStartTag();
          if (_jspx_eval_aui_select_0 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
            if (_jspx_eval_aui_select_0 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE) {
              out = _jspx_page_context.pushBody();
              _jspx_th_aui_select_0.setBodyContent((javax.servlet.jsp.tagext.BodyContent) out);
              _jspx_th_aui_select_0.doInitBody();
            }
            do {
              out.write("\n\n\t\t\t\t\t\t\t");

							for (String commerceDiscountType : CommerceDiscountConstants.TYPES) {
							
              out.write("\n\n\t\t\t\t\t\t\t\t");
              //  aui:option
              com.liferay.taglib.aui.OptionTag _jspx_th_aui_option_0 = (com.liferay.taglib.aui.OptionTag) _jspx_tagPool_aui_option_value_selected_label_nobody.get(com.liferay.taglib.aui.OptionTag.class);
              _jspx_th_aui_option_0.setPageContext(_jspx_page_context);
              _jspx_th_aui_option_0.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_select_0);
              _jspx_th_aui_option_0.setLabel( commerceDiscountType );
              _jspx_th_aui_option_0.setSelected( commerceDiscountDisplayContext.getUsePercentage(commerceDiscountType) == commerceDiscount.isUsePercentage() );
              _jspx_th_aui_option_0.setValue( commerceDiscountDisplayContext.getUsePercentage(commerceDiscountType) );
              int _jspx_eval_aui_option_0 = _jspx_th_aui_option_0.doStartTag();
              if (_jspx_th_aui_option_0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
                _jspx_tagPool_aui_option_value_selected_label_nobody.reuse(_jspx_th_aui_option_0);
                return;
              }
              _jspx_tagPool_aui_option_value_selected_label_nobody.reuse(_jspx_th_aui_option_0);
              out.write("\n\n\t\t\t\t\t\t\t");

							}
							
              out.write("\n\n\t\t\t\t\t\t");
              int evalDoAfterBody = _jspx_th_aui_select_0.doAfterBody();
              if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
                break;
            } while (true);
            if (_jspx_eval_aui_select_0 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE)
              out = _jspx_page_context.popBody();
          }
          if (_jspx_th_aui_select_0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
            _jspx_tagPool_aui_select_required_onChange_name_label.reuse(_jspx_th_aui_select_0);
            return;
          }
          _jspx_tagPool_aui_select_required_onChange_name_label.reuse(_jspx_th_aui_select_0);
          out.write("\n\t\t\t\t\t</div>\n\n\t\t\t\t\t<div class=\"col-6\">\n\t\t\t\t\t\t");
          //  aui:select
          com.liferay.taglib.aui.SelectTag _jspx_th_aui_select_1 = (com.liferay.taglib.aui.SelectTag) _jspx_tagPool_aui_select_required_onChange_name_label.get(com.liferay.taglib.aui.SelectTag.class);
          _jspx_th_aui_select_1.setPageContext(_jspx_page_context);
          _jspx_th_aui_select_1.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_commerce$1ui_panel_0);
          _jspx_th_aui_select_1.setLabel("apply-to");
          _jspx_th_aui_select_1.setName("target");
          _jspx_th_aui_select_1.setOnChange( liferayPortletResponse.getNamespace() + "selectTarget();" );
          _jspx_th_aui_select_1.setRequired( true );
          int _jspx_eval_aui_select_1 = _jspx_th_aui_select_1.doStartTag();
          if (_jspx_eval_aui_select_1 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
            if (_jspx_eval_aui_select_1 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE) {
              out = _jspx_page_context.pushBody();
              _jspx_th_aui_select_1.setBodyContent((javax.servlet.jsp.tagext.BodyContent) out);
              _jspx_th_aui_select_1.doInitBody();
            }
            do {
              out.write("\n\n\t\t\t\t\t\t\t");

							for (CommerceDiscountTarget commerceDiscountTarget : commerceDiscountDisplayContext.getCommerceDiscountTargets()) {
							
              out.write("\n\n\t\t\t\t\t\t\t\t");
              //  aui:option
              com.liferay.taglib.aui.OptionTag _jspx_th_aui_option_1 = (com.liferay.taglib.aui.OptionTag) _jspx_tagPool_aui_option_value_selected_label_nobody.get(com.liferay.taglib.aui.OptionTag.class);
              _jspx_th_aui_option_1.setPageContext(_jspx_page_context);
              _jspx_th_aui_option_1.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_select_1);
              _jspx_th_aui_option_1.setLabel( commerceDiscountTarget.getLabel(locale) );
              _jspx_th_aui_option_1.setSelected( Objects.equals(commerceDiscount.getTarget(), commerceDiscountTarget.getKey()) );
              _jspx_th_aui_option_1.setValue( commerceDiscountTarget.getKey() );
              int _jspx_eval_aui_option_1 = _jspx_th_aui_option_1.doStartTag();
              if (_jspx_th_aui_option_1.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
                _jspx_tagPool_aui_option_value_selected_label_nobody.reuse(_jspx_th_aui_option_1);
                return;
              }
              _jspx_tagPool_aui_option_value_selected_label_nobody.reuse(_jspx_th_aui_option_1);
              out.write("\n\n\t\t\t\t\t\t\t");

							}
							
              out.write("\n\n\t\t\t\t\t\t");
              int evalDoAfterBody = _jspx_th_aui_select_1.doAfterBody();
              if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
                break;
            } while (true);
            if (_jspx_eval_aui_select_1 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE)
              out = _jspx_page_context.popBody();
          }
          if (_jspx_th_aui_select_1.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
            _jspx_tagPool_aui_select_required_onChange_name_label.reuse(_jspx_th_aui_select_1);
            return;
          }
          _jspx_tagPool_aui_select_required_onChange_name_label.reuse(_jspx_th_aui_select_1);
          out.write("\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\n\t\t\t\t<div class=\"row\">\n\t\t\t\t\t<div class=\"");
          out.print( colCssClass );
          out.write("\">\n\t\t\t\t\t\t");
          //  aui:input
          com.liferay.taglib.aui.InputTag _jspx_th_aui_input_7 = (com.liferay.taglib.aui.InputTag) _jspx_tagPool_aui_input_value_type_suffix_name_ignoreRequestValue.get(com.liferay.taglib.aui.InputTag.class);
          _jspx_th_aui_input_7.setPageContext(_jspx_page_context);
          _jspx_th_aui_input_7.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_commerce$1ui_panel_0);
          _jspx_th_aui_input_7.setIgnoreRequestValue( true );
          _jspx_th_aui_input_7.setName("amount");
          _jspx_th_aui_input_7.setSuffix( amountSuffix );
          _jspx_th_aui_input_7.setType("text");
          _jspx_th_aui_input_7.setValue( commerceDiscountDisplayContext.getCommerceDiscountAmount(locale) );
          int _jspx_eval_aui_input_7 = _jspx_th_aui_input_7.doStartTag();
          if (_jspx_eval_aui_input_7 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
            out.write("\n\t\t\t\t\t\t\t");
            if (_jspx_meth_aui_validator_0((javax.servlet.jsp.tagext.JspTag) _jspx_th_aui_input_7, _jspx_page_context))
              return;
            out.write("\n\t\t\t\t\t\t\t");
            if (_jspx_meth_aui_validator_1((javax.servlet.jsp.tagext.JspTag) _jspx_th_aui_input_7, _jspx_page_context))
              return;
            out.write("\n\t\t\t\t\t\t");
          }
          if (_jspx_th_aui_input_7.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
            _jspx_tagPool_aui_input_value_type_suffix_name_ignoreRequestValue.reuse(_jspx_th_aui_input_7);
            return;
          }
          _jspx_tagPool_aui_input_value_type_suffix_name_ignoreRequestValue.reuse(_jspx_th_aui_input_7);
          out.write("\n\t\t\t\t\t</div>\n\n\t\t\t\t\t");
          //  c:if
          org.apache.taglibs.standard.tag.rt.core.IfTag _jspx_th_c_if_0 = (org.apache.taglibs.standard.tag.rt.core.IfTag) _jspx_tagPool_c_if_test.get(org.apache.taglibs.standard.tag.rt.core.IfTag.class);
          _jspx_th_c_if_0.setPageContext(_jspx_page_context);
          _jspx_th_c_if_0.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_commerce$1ui_panel_0);
          _jspx_th_c_if_0.setTest( usePercentage );
          int _jspx_eval_c_if_0 = _jspx_th_c_if_0.doStartTag();
          if (_jspx_eval_c_if_0 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
            do {
              out.write("\n\t\t\t\t\t\t<div class=\"");
              out.print( colCssClass );
              out.write("\">\n\t\t\t\t\t\t\t");
              //  aui:input
              com.liferay.taglib.aui.InputTag _jspx_th_aui_input_8 = (com.liferay.taglib.aui.InputTag) _jspx_tagPool_aui_input_value_type_suffix_name_ignoreRequestValue.get(com.liferay.taglib.aui.InputTag.class);
              _jspx_th_aui_input_8.setPageContext(_jspx_page_context);
              _jspx_th_aui_input_8.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_c_if_0);
              _jspx_th_aui_input_8.setIgnoreRequestValue( true );
              _jspx_th_aui_input_8.setName("maximumDiscountAmount");
              _jspx_th_aui_input_8.setSuffix( HtmlUtil.escape(commerceDiscountDisplayContext.getDefaultCommerceCurrencyCode()) );
              _jspx_th_aui_input_8.setType("text");
              _jspx_th_aui_input_8.setValue( (commerceDiscount == null) ? BigDecimal.ZERO : commerceDiscountDisplayContext.round(commerceDiscount.getMaximumDiscountAmount()) );
              int _jspx_eval_aui_input_8 = _jspx_th_aui_input_8.doStartTag();
              if (_jspx_eval_aui_input_8 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
                out.write("\n\t\t\t\t\t\t\t\t");
                if (_jspx_meth_aui_validator_2((javax.servlet.jsp.tagext.JspTag) _jspx_th_aui_input_8, _jspx_page_context))
                  return;
                out.write("\n\t\t\t\t\t\t\t\t");
                if (_jspx_meth_aui_validator_3((javax.servlet.jsp.tagext.JspTag) _jspx_th_aui_input_8, _jspx_page_context))
                  return;
                out.write("\n\t\t\t\t\t\t\t");
              }
              if (_jspx_th_aui_input_8.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
                _jspx_tagPool_aui_input_value_type_suffix_name_ignoreRequestValue.reuse(_jspx_th_aui_input_8);
                return;
              }
              _jspx_tagPool_aui_input_value_type_suffix_name_ignoreRequestValue.reuse(_jspx_th_aui_input_8);
              out.write("\n\t\t\t\t\t\t</div>\n\t\t\t\t\t");
              int evalDoAfterBody = _jspx_th_c_if_0.doAfterBody();
              if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
                break;
            } while (true);
          }
          if (_jspx_th_c_if_0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
            _jspx_tagPool_c_if_test.reuse(_jspx_th_c_if_0);
            return;
          }
          _jspx_tagPool_c_if_test.reuse(_jspx_th_c_if_0);
          out.write("\n\n\t\t\t\t\t<div class=\"");
          out.print( colCssClass );
          out.write("\">\n\t\t\t\t\t\t");
          //  aui:select
          com.liferay.taglib.aui.SelectTag _jspx_th_aui_select_2 = (com.liferay.taglib.aui.SelectTag) _jspx_tagPool_aui_select_required_name_label.get(com.liferay.taglib.aui.SelectTag.class);
          _jspx_th_aui_select_2.setPageContext(_jspx_page_context);
          _jspx_th_aui_select_2.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_commerce$1ui_panel_0);
          _jspx_th_aui_select_2.setLabel("level");
          _jspx_th_aui_select_2.setName("level");
          _jspx_th_aui_select_2.setRequired( true );
          int _jspx_eval_aui_select_2 = _jspx_th_aui_select_2.doStartTag();
          if (_jspx_eval_aui_select_2 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
            if (_jspx_eval_aui_select_2 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE) {
              out = _jspx_page_context.pushBody();
              _jspx_th_aui_select_2.setBodyContent((javax.servlet.jsp.tagext.BodyContent) out);
              _jspx_th_aui_select_2.doInitBody();
            }
            do {
              out.write("\n\n\t\t\t\t\t\t\t");

							for (String commerceDiscountLevel : CommerceDiscountConstants.LEVELS) {
							
              out.write("\n\n\t\t\t\t\t\t\t\t");
              //  aui:option
              com.liferay.taglib.aui.OptionTag _jspx_th_aui_option_2 = (com.liferay.taglib.aui.OptionTag) _jspx_tagPool_aui_option_value_selected_label_nobody.get(com.liferay.taglib.aui.OptionTag.class);
              _jspx_th_aui_option_2.setPageContext(_jspx_page_context);
              _jspx_th_aui_option_2.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_select_2);
              _jspx_th_aui_option_2.setLabel( commerceDiscountLevel );
              _jspx_th_aui_option_2.setSelected( Objects.equals(commerceDiscount.getLevel(), commerceDiscountLevel) );
              _jspx_th_aui_option_2.setValue( commerceDiscountLevel );
              int _jspx_eval_aui_option_2 = _jspx_th_aui_option_2.doStartTag();
              if (_jspx_th_aui_option_2.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
                _jspx_tagPool_aui_option_value_selected_label_nobody.reuse(_jspx_th_aui_option_2);
                return;
              }
              _jspx_tagPool_aui_option_value_selected_label_nobody.reuse(_jspx_th_aui_option_2);
              out.write("\n\n\t\t\t\t\t\t\t");

							}
							
              out.write("\n\n\t\t\t\t\t\t");
              int evalDoAfterBody = _jspx_th_aui_select_2.doAfterBody();
              if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
                break;
            } while (true);
            if (_jspx_eval_aui_select_2 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE)
              out = _jspx_page_context.popBody();
          }
          if (_jspx_th_aui_select_2.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
            _jspx_tagPool_aui_select_required_name_label.reuse(_jspx_th_aui_select_2);
            return;
          }
          _jspx_tagPool_aui_select_required_name_label.reuse(_jspx_th_aui_select_2);
          out.write("\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t");
        }
        if (_jspx_th_commerce$1ui_panel_0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
          _jspx_tagPool_commerce$1ui_panel_title_collapsible_collapsed_bodyClasses.reuse(_jspx_th_commerce$1ui_panel_0);
          return;
        }
        _jspx_tagPool_commerce$1ui_panel_title_collapsible_collapsed_bodyClasses.reuse(_jspx_th_commerce$1ui_panel_0);
        out.write("\n\t\t</div>\n\n\t\t<div class=\"col-4\">\n\t\t\t");
        //  commerce-ui:panel
        com.liferay.commerce.frontend.taglib.servlet.taglib.PanelTag _jspx_th_commerce$1ui_panel_1 = (com.liferay.commerce.frontend.taglib.servlet.taglib.PanelTag) _jspx_tagPool_commerce$1ui_panel_title_bodyClasses.get(com.liferay.commerce.frontend.taglib.servlet.taglib.PanelTag.class);
        _jspx_th_commerce$1ui_panel_1.setPageContext(_jspx_page_context);
        _jspx_th_commerce$1ui_panel_1.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_form_0);
        _jspx_th_commerce$1ui_panel_1.setBodyClasses("flex-fill");
        _jspx_th_commerce$1ui_panel_1.setTitle( LanguageUtil.get(request, "schedule") );
        int _jspx_eval_commerce$1ui_panel_1 = _jspx_th_commerce$1ui_panel_1.doStartTag();
        if (_jspx_eval_commerce$1ui_panel_1 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
          out.write("\n\t\t\t\t");
          //  liferay-ui:error
          com.liferay.taglib.ui.ErrorTag _jspx_th_liferay$1ui_error_0 = (com.liferay.taglib.ui.ErrorTag) _jspx_tagPool_liferay$1ui_error_message_exception_nobody.get(com.liferay.taglib.ui.ErrorTag.class);
          _jspx_th_liferay$1ui_error_0.setPageContext(_jspx_page_context);
          _jspx_th_liferay$1ui_error_0.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_commerce$1ui_panel_1);
          _jspx_th_liferay$1ui_error_0.setException( CommerceDiscountExpirationDateException.class );
          _jspx_th_liferay$1ui_error_0.setMessage("please-select-a-valid-expiration-date");
          int _jspx_eval_liferay$1ui_error_0 = _jspx_th_liferay$1ui_error_0.doStartTag();
          if (_jspx_th_liferay$1ui_error_0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
            _jspx_tagPool_liferay$1ui_error_message_exception_nobody.reuse(_jspx_th_liferay$1ui_error_0);
            return;
          }
          _jspx_tagPool_liferay$1ui_error_message_exception_nobody.reuse(_jspx_th_liferay$1ui_error_0);
          out.write("\n\n\t\t\t\t");
          if (_jspx_meth_aui_input_9((javax.servlet.jsp.tagext.JspTag) _jspx_th_commerce$1ui_panel_1, _jspx_page_context))
            return;
          out.write("\n\n\t\t\t\t");
          //  aui:input
          com.liferay.taglib.aui.InputTag _jspx_th_aui_input_10 = (com.liferay.taglib.aui.InputTag) _jspx_tagPool_aui_input_name_formName_disabled_dateTogglerCheckboxLabel_nobody.get(com.liferay.taglib.aui.InputTag.class);
          _jspx_th_aui_input_10.setPageContext(_jspx_page_context);
          _jspx_th_aui_input_10.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_commerce$1ui_panel_1);
          _jspx_th_aui_input_10.setDateTogglerCheckboxLabel("never-expire");
          _jspx_th_aui_input_10.setDisabled( neverExpire );
          _jspx_th_aui_input_10.setFormName("fm");
          _jspx_th_aui_input_10.setName("expirationDate");
          int _jspx_eval_aui_input_10 = _jspx_th_aui_input_10.doStartTag();
          if (_jspx_th_aui_input_10.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
            _jspx_tagPool_aui_input_name_formName_disabled_dateTogglerCheckboxLabel_nobody.reuse(_jspx_th_aui_input_10);
            return;
          }
          _jspx_tagPool_aui_input_name_formName_disabled_dateTogglerCheckboxLabel_nobody.reuse(_jspx_th_aui_input_10);
          out.write("\n\t\t\t");
        }
        if (_jspx_th_commerce$1ui_panel_1.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
          _jspx_tagPool_commerce$1ui_panel_title_bodyClasses.reuse(_jspx_th_commerce$1ui_panel_1);
          return;
        }
        _jspx_tagPool_commerce$1ui_panel_title_bodyClasses.reuse(_jspx_th_commerce$1ui_panel_1);
        out.write("\n\t\t</div>\n\t</div>\n\n\t<div class=\"row\">\n\t\t<div class=\"col-12\">\n\t\t\t");
        //  c:if
        org.apache.taglibs.standard.tag.rt.core.IfTag _jspx_th_c_if_1 = (org.apache.taglibs.standard.tag.rt.core.IfTag) _jspx_tagPool_c_if_test.get(org.apache.taglibs.standard.tag.rt.core.IfTag.class);
        _jspx_th_c_if_1.setPageContext(_jspx_page_context);
        _jspx_th_c_if_1.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_form_0);
        _jspx_th_c_if_1.setTest( commerceDiscountDisplayContext.hasCustomAttributesAvailable() );
        int _jspx_eval_c_if_1 = _jspx_th_c_if_1.doStartTag();
        if (_jspx_eval_c_if_1 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
          do {
            out.write("\n\t\t\t\t");
            //  commerce-ui:panel
            com.liferay.commerce.frontend.taglib.servlet.taglib.PanelTag _jspx_th_commerce$1ui_panel_2 = (com.liferay.commerce.frontend.taglib.servlet.taglib.PanelTag) _jspx_tagPool_commerce$1ui_panel_title.get(com.liferay.commerce.frontend.taglib.servlet.taglib.PanelTag.class);
            _jspx_th_commerce$1ui_panel_2.setPageContext(_jspx_page_context);
            _jspx_th_commerce$1ui_panel_2.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_c_if_1);
            _jspx_th_commerce$1ui_panel_2.setTitle( LanguageUtil.get(request, "custom-attributes") );
            int _jspx_eval_commerce$1ui_panel_2 = _jspx_th_commerce$1ui_panel_2.doStartTag();
            if (_jspx_eval_commerce$1ui_panel_2 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
              out.write("\n\t\t\t\t\t");
              //  liferay-expando:custom-attribute-list
              com.liferay.expando.taglib.servlet.taglib.CustomAttributeListTag _jspx_th_liferay$1expando_custom$1attribute$1list_0 = (com.liferay.expando.taglib.servlet.taglib.CustomAttributeListTag) _jspx_tagPool_liferay$1expando_custom$1attribute$1list_label_editable_classPK_className_nobody.get(com.liferay.expando.taglib.servlet.taglib.CustomAttributeListTag.class);
              _jspx_th_liferay$1expando_custom$1attribute$1list_0.setPageContext(_jspx_page_context);
              _jspx_th_liferay$1expando_custom$1attribute$1list_0.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_commerce$1ui_panel_2);
              _jspx_th_liferay$1expando_custom$1attribute$1list_0.setClassName( CommerceDiscount.class.getName() );
              _jspx_th_liferay$1expando_custom$1attribute$1list_0.setClassPK( (commerceDiscount != null) ? commerceDiscount.getCommerceDiscountId() : 0 );
              _jspx_th_liferay$1expando_custom$1attribute$1list_0.setEditable( true );
              _jspx_th_liferay$1expando_custom$1attribute$1list_0.setLabel( true );
              int _jspx_eval_liferay$1expando_custom$1attribute$1list_0 = _jspx_th_liferay$1expando_custom$1attribute$1list_0.doStartTag();
              if (_jspx_th_liferay$1expando_custom$1attribute$1list_0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
                _jspx_tagPool_liferay$1expando_custom$1attribute$1list_label_editable_classPK_className_nobody.reuse(_jspx_th_liferay$1expando_custom$1attribute$1list_0);
                return;
              }
              _jspx_tagPool_liferay$1expando_custom$1attribute$1list_label_editable_classPK_className_nobody.reuse(_jspx_th_liferay$1expando_custom$1attribute$1list_0);
              out.write("\n\t\t\t\t");
            }
            if (_jspx_th_commerce$1ui_panel_2.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
              _jspx_tagPool_commerce$1ui_panel_title.reuse(_jspx_th_commerce$1ui_panel_2);
              return;
            }
            _jspx_tagPool_commerce$1ui_panel_title.reuse(_jspx_th_commerce$1ui_panel_2);
            out.write("\n\t\t\t");
            int evalDoAfterBody = _jspx_th_c_if_1.doAfterBody();
            if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
              break;
          } while (true);
        }
        if (_jspx_th_c_if_1.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
          _jspx_tagPool_c_if_test.reuse(_jspx_th_c_if_1);
          return;
        }
        _jspx_tagPool_c_if_test.reuse(_jspx_th_c_if_1);
        out.write("\n\t\t</div>\n\t</div>\n\n\t");
        out.write("\n\n<div class=\"row\">\n\t<div class=\"col-12\">\n\t\t");
        //  liferay-ui:error
        com.liferay.taglib.ui.ErrorTag _jspx_th_liferay$1ui_error_1 = (com.liferay.taglib.ui.ErrorTag) _jspx_tagPool_liferay$1ui_error_message_exception_nobody.get(com.liferay.taglib.ui.ErrorTag.class);
        _jspx_th_liferay$1ui_error_1.setPageContext(_jspx_page_context);
        _jspx_th_liferay$1ui_error_1.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_form_0);
        _jspx_th_liferay$1ui_error_1.setException( CommerceDiscountCouponCodeException.class );
        _jspx_th_liferay$1ui_error_1.setMessage("please-enter-a-valid-coupon-code");
        int _jspx_eval_liferay$1ui_error_1 = _jspx_th_liferay$1ui_error_1.doStartTag();
        if (_jspx_th_liferay$1ui_error_1.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
          _jspx_tagPool_liferay$1ui_error_message_exception_nobody.reuse(_jspx_th_liferay$1ui_error_1);
          return;
        }
        _jspx_tagPool_liferay$1ui_error_message_exception_nobody.reuse(_jspx_th_liferay$1ui_error_1);
        out.write("\n\t\t");
        //  liferay-ui:error
        com.liferay.taglib.ui.ErrorTag _jspx_th_liferay$1ui_error_2 = (com.liferay.taglib.ui.ErrorTag) _jspx_tagPool_liferay$1ui_error_message_exception_nobody.get(com.liferay.taglib.ui.ErrorTag.class);
        _jspx_th_liferay$1ui_error_2.setPageContext(_jspx_page_context);
        _jspx_th_liferay$1ui_error_2.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_form_0);
        _jspx_th_liferay$1ui_error_2.setException( DuplicateCommerceDiscountException.class );
        _jspx_th_liferay$1ui_error_2.setMessage("there-is-another-discount-with-the-same-coupon-code");
        int _jspx_eval_liferay$1ui_error_2 = _jspx_th_liferay$1ui_error_2.doStartTag();
        if (_jspx_th_liferay$1ui_error_2.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
          _jspx_tagPool_liferay$1ui_error_message_exception_nobody.reuse(_jspx_th_liferay$1ui_error_2);
          return;
        }
        _jspx_tagPool_liferay$1ui_error_message_exception_nobody.reuse(_jspx_th_liferay$1ui_error_2);
        out.write("\n\n\t\t");
        //  commerce-ui:panel
        com.liferay.commerce.frontend.taglib.servlet.taglib.PanelTag _jspx_th_commerce$1ui_panel_3 = (com.liferay.commerce.frontend.taglib.servlet.taglib.PanelTag) _jspx_tagPool_commerce$1ui_panel_title_collapsed_collapseSwitchName_collapseLabel_bodyClasses.get(com.liferay.commerce.frontend.taglib.servlet.taglib.PanelTag.class);
        _jspx_th_commerce$1ui_panel_3.setPageContext(_jspx_page_context);
        _jspx_th_commerce$1ui_panel_3.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_form_0);
        _jspx_th_commerce$1ui_panel_3.setBodyClasses("flex-fill");
        _jspx_th_commerce$1ui_panel_3.setCollapsed( !commerceDiscount.isUseCouponCode() );
        _jspx_th_commerce$1ui_panel_3.setCollapseLabel( LanguageUtil.get(request, "enabled") );
        _jspx_th_commerce$1ui_panel_3.setCollapseSwitchName( liferayPortletResponse.getNamespace() + "useCouponCode" );
        _jspx_th_commerce$1ui_panel_3.setTitle( LanguageUtil.get(request, "coupon-code") );
        int _jspx_eval_commerce$1ui_panel_3 = _jspx_th_commerce$1ui_panel_3.doStartTag();
        if (_jspx_eval_commerce$1ui_panel_3 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
          out.write("\n\t\t\t<div class=\"row\">\n\t\t\t\t<div class=\"col-4\">\n\t\t\t\t\t");
          //  aui:input
          com.liferay.taglib.aui.InputTag _jspx_th_aui_input_11 = (com.liferay.taglib.aui.InputTag) _jspx_tagPool_aui_input_value_type_name_label.get(com.liferay.taglib.aui.InputTag.class);
          _jspx_th_aui_input_11.setPageContext(_jspx_page_context);
          _jspx_th_aui_input_11.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_commerce$1ui_panel_3);
          _jspx_th_aui_input_11.setLabel("coupon-code");
          _jspx_th_aui_input_11.setName("couponCode");
          _jspx_th_aui_input_11.setType("text");
          _jspx_th_aui_input_11.setValue( commerceDiscount.getCouponCode() );
          int _jspx_eval_aui_input_11 = _jspx_th_aui_input_11.doStartTag();
          if (_jspx_eval_aui_input_11 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
            out.write("\n\t\t\t\t\t");
          }
          if (_jspx_th_aui_input_11.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
            _jspx_tagPool_aui_input_value_type_name_label.reuse(_jspx_th_aui_input_11);
            return;
          }
          _jspx_tagPool_aui_input_value_type_name_label.reuse(_jspx_th_aui_input_11);
          out.write("\n\t\t\t\t</div>\n\n\t\t\t\t<div class=\"col-4\">\n\t\t\t\t\t");
          //  aui:input
          com.liferay.taglib.aui.InputTag _jspx_th_aui_input_12 = (com.liferay.taglib.aui.InputTag) _jspx_tagPool_aui_input_value_type_name_label_helpMessage.get(com.liferay.taglib.aui.InputTag.class);
          _jspx_th_aui_input_12.setPageContext(_jspx_page_context);
          _jspx_th_aui_input_12.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_commerce$1ui_panel_3);
          _jspx_th_aui_input_12.setHelpMessage("define-the-total-number-of-times-this-coupon-code-can-be-used");
          _jspx_th_aui_input_12.setLabel("maximum-total-uses");
          _jspx_th_aui_input_12.setName("limitationTimes");
          _jspx_th_aui_input_12.setType("text");
          _jspx_th_aui_input_12.setValue( commerceDiscount.getLimitationTimes() );
          int _jspx_eval_aui_input_12 = _jspx_th_aui_input_12.doStartTag();
          if (_jspx_eval_aui_input_12 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
            out.write("\n\t\t\t\t\t\t");
            if (_jspx_meth_aui_validator_4((javax.servlet.jsp.tagext.JspTag) _jspx_th_aui_input_12, _jspx_page_context))
              return;
            out.write("\n\t\t\t\t\t\t");
            if (_jspx_meth_aui_validator_5((javax.servlet.jsp.tagext.JspTag) _jspx_th_aui_input_12, _jspx_page_context))
              return;
            out.write("\n\t\t\t\t\t");
          }
          if (_jspx_th_aui_input_12.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
            _jspx_tagPool_aui_input_value_type_name_label_helpMessage.reuse(_jspx_th_aui_input_12);
            return;
          }
          _jspx_tagPool_aui_input_value_type_name_label_helpMessage.reuse(_jspx_th_aui_input_12);
          out.write("\n\t\t\t\t</div>\n\n\t\t\t\t<div class=\"col-4\">\n\t\t\t\t\t");
          //  aui:input
          com.liferay.taglib.aui.InputTag _jspx_th_aui_input_13 = (com.liferay.taglib.aui.InputTag) _jspx_tagPool_aui_input_value_type_name_label_helpMessage.get(com.liferay.taglib.aui.InputTag.class);
          _jspx_th_aui_input_13.setPageContext(_jspx_page_context);
          _jspx_th_aui_input_13.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_commerce$1ui_panel_3);
          _jspx_th_aui_input_13.setHelpMessage("define-the-maximum-number-of-times-this-coupon-code-can-be-used-by-an-account");
          _jspx_th_aui_input_13.setLabel("maximum-uses-per-account");
          _jspx_th_aui_input_13.setName("limitationTimesPerAccount");
          _jspx_th_aui_input_13.setType("text");
          _jspx_th_aui_input_13.setValue( commerceDiscount.getLimitationTimesPerAccount() );
          int _jspx_eval_aui_input_13 = _jspx_th_aui_input_13.doStartTag();
          if (_jspx_eval_aui_input_13 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
            out.write("\n\t\t\t\t\t\t");
            if (_jspx_meth_aui_validator_6((javax.servlet.jsp.tagext.JspTag) _jspx_th_aui_input_13, _jspx_page_context))
              return;
            out.write("\n\t\t\t\t\t\t");
            if (_jspx_meth_aui_validator_7((javax.servlet.jsp.tagext.JspTag) _jspx_th_aui_input_13, _jspx_page_context))
              return;
            out.write("\n\t\t\t\t\t");
          }
          if (_jspx_th_aui_input_13.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
            _jspx_tagPool_aui_input_value_type_name_label_helpMessage.reuse(_jspx_th_aui_input_13);
            return;
          }
          _jspx_tagPool_aui_input_value_type_name_label_helpMessage.reuse(_jspx_th_aui_input_13);
          out.write("\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t");
        }
        if (_jspx_th_commerce$1ui_panel_3.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
          _jspx_tagPool_commerce$1ui_panel_title_collapsed_collapseSwitchName_collapseLabel_bodyClasses.reuse(_jspx_th_commerce$1ui_panel_3);
          return;
        }
        _jspx_tagPool_commerce$1ui_panel_title_collapsed_collapseSwitchName_collapseLabel_bodyClasses.reuse(_jspx_th_commerce$1ui_panel_3);
        out.write("\n\t</div>\n</div>");
        out.write("\n\n\t");
        //  c:if
        org.apache.taglibs.standard.tag.rt.core.IfTag _jspx_th_c_if_2 = (org.apache.taglibs.standard.tag.rt.core.IfTag) _jspx_tagPool_c_if_test.get(org.apache.taglibs.standard.tag.rt.core.IfTag.class);
        _jspx_th_c_if_2.setPageContext(_jspx_page_context);
        _jspx_th_c_if_2.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_form_0);
        _jspx_th_c_if_2.setTest( Objects.equals(target, CommerceDiscountConstants.TARGET_PRODUCT) );
        int _jspx_eval_c_if_2 = _jspx_th_c_if_2.doStartTag();
        if (_jspx_eval_c_if_2 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
          do {
            out.write("\n\t\t");
            out.write('\n');
            out.write('\n');
            //  c:if
            org.apache.taglibs.standard.tag.rt.core.IfTag _jspx_th_c_if_3 = (org.apache.taglibs.standard.tag.rt.core.IfTag) _jspx_tagPool_c_if_test.get(org.apache.taglibs.standard.tag.rt.core.IfTag.class);
            _jspx_th_c_if_3.setPageContext(_jspx_page_context);
            _jspx_th_c_if_3.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_c_if_2);
            _jspx_th_c_if_3.setTest( hasPermission );
            int _jspx_eval_c_if_3 = _jspx_th_c_if_3.doStartTag();
            if (_jspx_eval_c_if_3 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
              do {
                out.write("\n\t<div class=\"row\">\n\t\t<div class=\"col-12\">\n\t\t\t<div id=\"item-finder-root\"></div>\n\n\t\t\t");
                //  aui:script
                com.liferay.taglib.aui.ScriptTag _jspx_th_aui_script_0 = (com.liferay.taglib.aui.ScriptTag) _jspx_tagPool_aui_script_require.get(com.liferay.taglib.aui.ScriptTag.class);
                _jspx_th_aui_script_0.setPageContext(_jspx_page_context);
                _jspx_th_aui_script_0.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_c_if_3);
                _jspx_th_aui_script_0.setRequire("commerce-frontend-js/components/item_finder/entry as itemFinder, commerce-frontend-js/utilities/slugify as slugify, commerce-frontend-js/utilities/eventsDefinitions as events, commerce-frontend-js/ServiceProvider/index as ServiceProvider");
                int _jspx_eval_aui_script_0 = _jspx_th_aui_script_0.doStartTag();
                if (_jspx_eval_aui_script_0 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
                  if (_jspx_eval_aui_script_0 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE) {
                    out = _jspx_page_context.pushBody();
                    _jspx_th_aui_script_0.setBodyContent((javax.servlet.jsp.tagext.BodyContent) out);
                    _jspx_th_aui_script_0.doInitBody();
                  }
                  do {
                    out.write("\n\t\t\t\tvar CommerceDiscountProductsResource = ServiceProvider.default.AdminPricingAPI(\n\t\t\t\t\t'v2'\n\t\t\t\t);\n\n\t\t\t\tvar id = ");
                    out.print( commerceDiscountId );
                    out.write(";\n\t\t\t\tvar discountExternalReferenceCode =\n\t\t\t\t\t'");
                    out.print( HtmlUtil.escapeJS(commerceDiscount.getExternalReferenceCode()) );
                    out.write("';\n\n\t\t\t\tfunction selectItem(product) {\n\t\t\t\t\tvar productData = {\n\t\t\t\t\t\tdiscountExternalReferenceCode: discountExternalReferenceCode,\n\t\t\t\t\t\tdiscountId: id,\n\t\t\t\t\t\tproductExternalReferenceCode: product.externalReferenceCode,\n\t\t\t\t\t\tproductId: product.productId,\n\t\t\t\t\t};\n\n\t\t\t\t\treturn CommerceDiscountProductsResource.addDiscountProduct(id, productData)\n\t\t\t\t\t\t.then(function () {\n\t\t\t\t\t\t\tLiferay.fire(events.UPDATE_DATASET_DISPLAY, {\n\t\t\t\t\t\t\t\tid:\n\t\t\t\t\t\t\t\t\t'");
                    out.print( CommercePricingDataSetConstants.COMMERCE_DATA_SET_KEY_DISCOUNT_PRODUCT_DEFINITIONS );
                    out.write("',\n\t\t\t\t\t\t\t});\n\t\t\t\t\t\t})\n\t\t\t\t\t\t.catch(function (error) {\n\t\t\t\t\t\t\treturn Promise.reject(error);\n\t\t\t\t\t\t});\n\t\t\t\t}\n\n\t\t\t\tfunction getSelectedItems() {\n\t\t\t\t\treturn Promise.resolve([]);\n\t\t\t\t}\n\n\t\t\t\titemFinder.default('itemFinder', 'item-finder-root', {\n\t\t\t\t\tapiUrl:\n\t\t\t\t\t\t'/o/headless-commerce-admin-catalog/v1.0/products?nestedFields=catalog',\n\t\t\t\t\tgetSelectedItems: getSelectedItems,\n\t\t\t\t\tinputPlaceholder: '");
                    out.print( LanguageUtil.get(request, "find-a-product") );
                    out.write("',\n\t\t\t\t\titemCreation: false,\n\t\t\t\t\titemSelectedMessage: '");
                    out.print( LanguageUtil.get(request, "product-selected") );
                    out.write("',\n\t\t\t\t\titemsKey: 'id',\n\t\t\t\t\tlinkedDatasetsId: [\n\t\t\t\t\t\t'");
                    out.print( CommercePricingDataSetConstants.COMMERCE_DATA_SET_KEY_DISCOUNT_PRODUCT_DEFINITIONS );
                    out.write("',\n\t\t\t\t\t],\n\t\t\t\t\tonItemSelected: selectItem,\n\t\t\t\t\tpageSize: 10,\n\t\t\t\t\tpanelHeaderLabel: '");
                    out.print( LanguageUtil.get(request, "add-products") );
                    out.write("',\n\t\t\t\t\tportletId: '");
                    out.print( portletDisplay.getRootPortletId() );
                    out.write("',\n\t\t\t\t\tschema: [\n\t\t\t\t\t\t{\n\t\t\t\t\t\t\tfieldName: ['name', 'LANG'],\n\t\t\t\t\t\t},\n\t\t\t\t\t\t{\n\t\t\t\t\t\t\tfieldName: 'productId',\n\t\t\t\t\t\t},\n\t\t\t\t\t\t{\n\t\t\t\t\t\t\tfieldName: ['catalog', 'name'],\n\t\t\t\t\t\t},\n\t\t\t\t\t],\n\t\t\t\t\tspritemap: '");
                    out.print( themeDisplay.getPathThemeImages() );
                    out.write("/lexicon/icons.svg',\n\t\t\t\t\ttitleLabel: '");
                    out.print( LanguageUtil.get(request, "add-existing-product") );
                    out.write("',\n\t\t\t\t});\n\t\t\t");
                    int evalDoAfterBody = _jspx_th_aui_script_0.doAfterBody();
                    if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
                      break;
                  } while (true);
                  if (_jspx_eval_aui_script_0 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE)
                    out = _jspx_page_context.popBody();
                }
                if (_jspx_th_aui_script_0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
                  _jspx_tagPool_aui_script_require.reuse(_jspx_th_aui_script_0);
                  return;
                }
                _jspx_tagPool_aui_script_require.reuse(_jspx_th_aui_script_0);
                out.write("\n\t\t</div>\n\n\t\t<div class=\"col-12\">\n\t\t\t");
                //  commerce-ui:panel
                com.liferay.commerce.frontend.taglib.servlet.taglib.PanelTag _jspx_th_commerce$1ui_panel_4 = (com.liferay.commerce.frontend.taglib.servlet.taglib.PanelTag) _jspx_tagPool_commerce$1ui_panel_title_bodyClasses.get(com.liferay.commerce.frontend.taglib.servlet.taglib.PanelTag.class);
                _jspx_th_commerce$1ui_panel_4.setPageContext(_jspx_page_context);
                _jspx_th_commerce$1ui_panel_4.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_c_if_3);
                _jspx_th_commerce$1ui_panel_4.setBodyClasses("p-0");
                _jspx_th_commerce$1ui_panel_4.setTitle( LanguageUtil.get(request, "products") );
                int _jspx_eval_commerce$1ui_panel_4 = _jspx_th_commerce$1ui_panel_4.doStartTag();
                if (_jspx_eval_commerce$1ui_panel_4 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
                  out.write("\n\t\t\t\t");
                  //  clay:headless-data-set-display
                  com.liferay.frontend.taglib.clay.servlet.taglib.HeadlessDataSetDisplayTag _jspx_th_clay_headless$1data$1set$1display_0 = (com.liferay.frontend.taglib.clay.servlet.taglib.HeadlessDataSetDisplayTag) _jspx_tagPool_clay_headless$1data$1set$1display_portletURL_pageNumber_namespace_itemsPerPage_id_formId_clayDataSetActionDropdownItems_apiURL_nobody.get(com.liferay.frontend.taglib.clay.servlet.taglib.HeadlessDataSetDisplayTag.class);
                  _jspx_th_clay_headless$1data$1set$1display_0.setPageContext(_jspx_page_context);
                  _jspx_th_clay_headless$1data$1set$1display_0.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_commerce$1ui_panel_4);
                  _jspx_th_clay_headless$1data$1set$1display_0.setApiURL( commerceDiscountDisplayContext.getDiscountCPDefinitionApiURL() );
                  _jspx_th_clay_headless$1data$1set$1display_0.setClayDataSetActionDropdownItems( commerceDiscountDisplayContext.getDiscountCPDefinitionClayDataSetActionDropdownItems() );
                  _jspx_th_clay_headless$1data$1set$1display_0.setFormId("fm");
                  _jspx_th_clay_headless$1data$1set$1display_0.setId( CommercePricingDataSetConstants.COMMERCE_DATA_SET_KEY_DISCOUNT_PRODUCT_DEFINITIONS );
                  _jspx_th_clay_headless$1data$1set$1display_0.setItemsPerPage( 10 );
                  _jspx_th_clay_headless$1data$1set$1display_0.setNamespace( liferayPortletResponse.getNamespace() );
                  _jspx_th_clay_headless$1data$1set$1display_0.setPageNumber( 1 );
                  _jspx_th_clay_headless$1data$1set$1display_0.setPortletURL( portletDiscountRuleURL );
                  int _jspx_eval_clay_headless$1data$1set$1display_0 = _jspx_th_clay_headless$1data$1set$1display_0.doStartTag();
                  if (_jspx_th_clay_headless$1data$1set$1display_0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
                    _jspx_tagPool_clay_headless$1data$1set$1display_portletURL_pageNumber_namespace_itemsPerPage_id_formId_clayDataSetActionDropdownItems_apiURL_nobody.reuse(_jspx_th_clay_headless$1data$1set$1display_0);
                    return;
                  }
                  _jspx_tagPool_clay_headless$1data$1set$1display_portletURL_pageNumber_namespace_itemsPerPage_id_formId_clayDataSetActionDropdownItems_apiURL_nobody.reuse(_jspx_th_clay_headless$1data$1set$1display_0);
                  out.write("\n\t\t\t");
                }
                if (_jspx_th_commerce$1ui_panel_4.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
                  _jspx_tagPool_commerce$1ui_panel_title_bodyClasses.reuse(_jspx_th_commerce$1ui_panel_4);
                  return;
                }
                _jspx_tagPool_commerce$1ui_panel_title_bodyClasses.reuse(_jspx_th_commerce$1ui_panel_4);
                out.write("\n\t\t</div>\n\t</div>\n");
                int evalDoAfterBody = _jspx_th_c_if_3.doAfterBody();
                if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
                  break;
              } while (true);
            }
            if (_jspx_th_c_if_3.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
              _jspx_tagPool_c_if_test.reuse(_jspx_th_c_if_3);
              return;
            }
            _jspx_tagPool_c_if_test.reuse(_jspx_th_c_if_3);
            out.write('\n');
            out.write('	');
            int evalDoAfterBody = _jspx_th_c_if_2.doAfterBody();
            if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
              break;
          } while (true);
        }
        if (_jspx_th_c_if_2.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
          _jspx_tagPool_c_if_test.reuse(_jspx_th_c_if_2);
          return;
        }
        _jspx_tagPool_c_if_test.reuse(_jspx_th_c_if_2);
        out.write("\n\n\t");
        //  c:if
        org.apache.taglibs.standard.tag.rt.core.IfTag _jspx_th_c_if_4 = (org.apache.taglibs.standard.tag.rt.core.IfTag) _jspx_tagPool_c_if_test.get(org.apache.taglibs.standard.tag.rt.core.IfTag.class);
        _jspx_th_c_if_4.setPageContext(_jspx_page_context);
        _jspx_th_c_if_4.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_form_0);
        _jspx_th_c_if_4.setTest( Objects.equals(target, CommerceDiscountConstants.TARGET_CATEGORIES) );
        int _jspx_eval_c_if_4 = _jspx_th_c_if_4.doStartTag();
        if (_jspx_eval_c_if_4 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
          do {
            out.write("\n\t\t");
            out.write('\n');
            out.write('\n');
            //  c:if
            org.apache.taglibs.standard.tag.rt.core.IfTag _jspx_th_c_if_5 = (org.apache.taglibs.standard.tag.rt.core.IfTag) _jspx_tagPool_c_if_test.get(org.apache.taglibs.standard.tag.rt.core.IfTag.class);
            _jspx_th_c_if_5.setPageContext(_jspx_page_context);
            _jspx_th_c_if_5.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_c_if_4);
            _jspx_th_c_if_5.setTest( hasPermission );
            int _jspx_eval_c_if_5 = _jspx_th_c_if_5.doStartTag();
            if (_jspx_eval_c_if_5 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
              do {
                out.write("\n\t<div class=\"row\">\n\t\t<div class=\"col-12\">\n\t\t\t<div id=\"item-finder-root\"></div>\n\n\t\t\t");
                //  aui:script
                com.liferay.taglib.aui.ScriptTag _jspx_th_aui_script_1 = (com.liferay.taglib.aui.ScriptTag) _jspx_tagPool_aui_script_require.get(com.liferay.taglib.aui.ScriptTag.class);
                _jspx_th_aui_script_1.setPageContext(_jspx_page_context);
                _jspx_th_aui_script_1.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_c_if_5);
                _jspx_th_aui_script_1.setRequire("commerce-frontend-js/components/item_finder/entry as itemFinder, commerce-frontend-js/utilities/slugify as slugify, commerce-frontend-js/utilities/eventsDefinitions as events, commerce-frontend-js/ServiceProvider/index as ServiceProvider");
                int _jspx_eval_aui_script_1 = _jspx_th_aui_script_1.doStartTag();
                if (_jspx_eval_aui_script_1 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
                  if (_jspx_eval_aui_script_1 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE) {
                    out = _jspx_page_context.pushBody();
                    _jspx_th_aui_script_1.setBodyContent((javax.servlet.jsp.tagext.BodyContent) out);
                    _jspx_th_aui_script_1.doInitBody();
                  }
                  do {
                    out.write("\n\t\t\t\tvar CommerceDiscountCategoriesResource = ServiceProvider.default.AdminPricingAPI(\n\t\t\t\t\t'v2'\n\t\t\t\t);\n\n\t\t\t\tvar id = ");
                    out.print( commerceDiscountId );
                    out.write(";\n\t\t\t\tvar discountExternalReferenceCode =\n\t\t\t\t\t'");
                    out.print( HtmlUtil.escapeJS(commerceDiscount.getExternalReferenceCode()) );
                    out.write("';\n\n\t\t\t\tfunction selectItem(category) {\n\t\t\t\t\tvar categoryData = {\n\t\t\t\t\t\tcategoryExternalReferenceCode: category.externalReferenceCode,\n\t\t\t\t\t\tcategoryId: category.id,\n\t\t\t\t\t\tdiscountExternalReferenceCode: discountExternalReferenceCode,\n\t\t\t\t\t\tdiscountId: id,\n\t\t\t\t\t};\n\n\t\t\t\t\treturn CommerceDiscountCategoriesResource.addDiscountCategory(\n\t\t\t\t\t\tid,\n\t\t\t\t\t\tcategoryData\n\t\t\t\t\t)\n\t\t\t\t\t\t.then(function () {\n\t\t\t\t\t\t\tLiferay.fire(events.UPDATE_DATASET_DISPLAY, {\n\t\t\t\t\t\t\t\tid:\n\t\t\t\t\t\t\t\t\t'");
                    out.print( CommercePricingDataSetConstants.COMMERCE_DATA_SET_KEY_DISCOUNT_CATEGORIES );
                    out.write("',\n\t\t\t\t\t\t\t});\n\t\t\t\t\t\t})\n\t\t\t\t\t\t.catch(function (error) {\n\t\t\t\t\t\t\treturn Promise.reject(error);\n\t\t\t\t\t\t});\n\t\t\t\t}\n\n\t\t\t\tfunction getSelectedItems() {\n\t\t\t\t\treturn Promise.resolve([]);\n\t\t\t\t}\n\n\t\t\t\titemFinder.default('itemFinder', 'item-finder-root', {\n\t\t\t\t\tapiUrl:\n\t\t\t\t\t\t'/o/headless-admin-taxonomy/v1.0/taxonomy-categories/0/taxonomy-categories',\n\t\t\t\t\tgetSelectedItems: getSelectedItems,\n\t\t\t\t\tinputPlaceholder: '");
                    out.print( LanguageUtil.get(request, "find-a-category") );
                    out.write("',\n\t\t\t\t\titemSelectedMessage:\n\t\t\t\t\t\t'");
                    out.print( LanguageUtil.get(request, "category-selected") );
                    out.write("',\n\t\t\t\t\titemsKey: 'id',\n\t\t\t\t\titemCreation: false,\n\t\t\t\t\tlinkedDatasetsId: [\n\t\t\t\t\t\t'");
                    out.print( CommercePricingDataSetConstants.COMMERCE_DATA_SET_KEY_DISCOUNT_CATEGORIES );
                    out.write("',\n\t\t\t\t\t],\n\t\t\t\t\tonItemSelected: selectItem,\n\t\t\t\t\tpageSize: 10,\n\t\t\t\t\tpanelHeaderLabel: '");
                    out.print( LanguageUtil.get(request, "select-category") );
                    out.write("',\n\t\t\t\t\tportletId: '");
                    out.print( portletDisplay.getRootPortletId() );
                    out.write("',\n\t\t\t\t\tschema: [\n\t\t\t\t\t\t{\n\t\t\t\t\t\t\tfieldName: ['name'],\n\t\t\t\t\t\t},\n\t\t\t\t\t],\n\t\t\t\t\tspritemap: '");
                    out.print( themeDisplay.getPathThemeImages() );
                    out.write("/lexicon/icons.svg',\n\t\t\t\t\ttitleLabel: '");
                    out.print( LanguageUtil.get(request, "add-existing-category") );
                    out.write("',\n\t\t\t\t});\n\t\t\t");
                    int evalDoAfterBody = _jspx_th_aui_script_1.doAfterBody();
                    if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
                      break;
                  } while (true);
                  if (_jspx_eval_aui_script_1 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE)
                    out = _jspx_page_context.popBody();
                }
                if (_jspx_th_aui_script_1.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
                  _jspx_tagPool_aui_script_require.reuse(_jspx_th_aui_script_1);
                  return;
                }
                _jspx_tagPool_aui_script_require.reuse(_jspx_th_aui_script_1);
                out.write("\n\t\t</div>\n\n\t\t<div class=\"col-12\">\n\t\t\t");
                //  commerce-ui:panel
                com.liferay.commerce.frontend.taglib.servlet.taglib.PanelTag _jspx_th_commerce$1ui_panel_5 = (com.liferay.commerce.frontend.taglib.servlet.taglib.PanelTag) _jspx_tagPool_commerce$1ui_panel_title_bodyClasses.get(com.liferay.commerce.frontend.taglib.servlet.taglib.PanelTag.class);
                _jspx_th_commerce$1ui_panel_5.setPageContext(_jspx_page_context);
                _jspx_th_commerce$1ui_panel_5.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_c_if_5);
                _jspx_th_commerce$1ui_panel_5.setBodyClasses("p-0");
                _jspx_th_commerce$1ui_panel_5.setTitle( LanguageUtil.get(request, "categories") );
                int _jspx_eval_commerce$1ui_panel_5 = _jspx_th_commerce$1ui_panel_5.doStartTag();
                if (_jspx_eval_commerce$1ui_panel_5 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
                  out.write("\n\t\t\t\t");
                  //  clay:headless-data-set-display
                  com.liferay.frontend.taglib.clay.servlet.taglib.HeadlessDataSetDisplayTag _jspx_th_clay_headless$1data$1set$1display_1 = (com.liferay.frontend.taglib.clay.servlet.taglib.HeadlessDataSetDisplayTag) _jspx_tagPool_clay_headless$1data$1set$1display_portletURL_pageNumber_namespace_itemsPerPage_id_formId_clayDataSetActionDropdownItems_apiURL_nobody.get(com.liferay.frontend.taglib.clay.servlet.taglib.HeadlessDataSetDisplayTag.class);
                  _jspx_th_clay_headless$1data$1set$1display_1.setPageContext(_jspx_page_context);
                  _jspx_th_clay_headless$1data$1set$1display_1.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_commerce$1ui_panel_5);
                  _jspx_th_clay_headless$1data$1set$1display_1.setApiURL( commerceDiscountDisplayContext.getDiscountCategoriesApiURL() );
                  _jspx_th_clay_headless$1data$1set$1display_1.setClayDataSetActionDropdownItems( commerceDiscountDisplayContext.getDiscountCategoryClayDataSetActionDropdownItems() );
                  _jspx_th_clay_headless$1data$1set$1display_1.setFormId("fm");
                  _jspx_th_clay_headless$1data$1set$1display_1.setId( CommercePricingDataSetConstants.COMMERCE_DATA_SET_KEY_DISCOUNT_CATEGORIES );
                  _jspx_th_clay_headless$1data$1set$1display_1.setItemsPerPage( 10 );
                  _jspx_th_clay_headless$1data$1set$1display_1.setNamespace( liferayPortletResponse.getNamespace() );
                  _jspx_th_clay_headless$1data$1set$1display_1.setPageNumber( 1 );
                  _jspx_th_clay_headless$1data$1set$1display_1.setPortletURL( portletDiscountRuleURL );
                  int _jspx_eval_clay_headless$1data$1set$1display_1 = _jspx_th_clay_headless$1data$1set$1display_1.doStartTag();
                  if (_jspx_th_clay_headless$1data$1set$1display_1.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
                    _jspx_tagPool_clay_headless$1data$1set$1display_portletURL_pageNumber_namespace_itemsPerPage_id_formId_clayDataSetActionDropdownItems_apiURL_nobody.reuse(_jspx_th_clay_headless$1data$1set$1display_1);
                    return;
                  }
                  _jspx_tagPool_clay_headless$1data$1set$1display_portletURL_pageNumber_namespace_itemsPerPage_id_formId_clayDataSetActionDropdownItems_apiURL_nobody.reuse(_jspx_th_clay_headless$1data$1set$1display_1);
                  out.write("\n\t\t\t");
                }
                if (_jspx_th_commerce$1ui_panel_5.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
                  _jspx_tagPool_commerce$1ui_panel_title_bodyClasses.reuse(_jspx_th_commerce$1ui_panel_5);
                  return;
                }
                _jspx_tagPool_commerce$1ui_panel_title_bodyClasses.reuse(_jspx_th_commerce$1ui_panel_5);
                out.write("\n\t\t</div>\n\t</div>\n");
                int evalDoAfterBody = _jspx_th_c_if_5.doAfterBody();
                if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
                  break;
              } while (true);
            }
            if (_jspx_th_c_if_5.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
              _jspx_tagPool_c_if_test.reuse(_jspx_th_c_if_5);
              return;
            }
            _jspx_tagPool_c_if_test.reuse(_jspx_th_c_if_5);
            out.write('\n');
            out.write('	');
            int evalDoAfterBody = _jspx_th_c_if_4.doAfterBody();
            if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
              break;
          } while (true);
        }
        if (_jspx_th_c_if_4.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
          _jspx_tagPool_c_if_test.reuse(_jspx_th_c_if_4);
          return;
        }
        _jspx_tagPool_c_if_test.reuse(_jspx_th_c_if_4);
        out.write("\n\n\t");
        //  c:if
        org.apache.taglibs.standard.tag.rt.core.IfTag _jspx_th_c_if_6 = (org.apache.taglibs.standard.tag.rt.core.IfTag) _jspx_tagPool_c_if_test.get(org.apache.taglibs.standard.tag.rt.core.IfTag.class);
        _jspx_th_c_if_6.setPageContext(_jspx_page_context);
        _jspx_th_c_if_6.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_form_0);
        _jspx_th_c_if_6.setTest( Objects.equals(target, CommerceDiscountConstants.TARGET_PRICING_CLASS) );
        int _jspx_eval_c_if_6 = _jspx_th_c_if_6.doStartTag();
        if (_jspx_eval_c_if_6 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
          do {
            out.write("\n\t\t");
            out.write('\n');
            out.write('\n');
            //  c:if
            org.apache.taglibs.standard.tag.rt.core.IfTag _jspx_th_c_if_7 = (org.apache.taglibs.standard.tag.rt.core.IfTag) _jspx_tagPool_c_if_test.get(org.apache.taglibs.standard.tag.rt.core.IfTag.class);
            _jspx_th_c_if_7.setPageContext(_jspx_page_context);
            _jspx_th_c_if_7.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_c_if_6);
            _jspx_th_c_if_7.setTest( hasPermission );
            int _jspx_eval_c_if_7 = _jspx_th_c_if_7.doStartTag();
            if (_jspx_eval_c_if_7 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
              do {
                out.write("\n\t<div class=\"row\">\n\t\t<div class=\"col-12\">\n\t\t\t<div id=\"item-finder-root\"></div>\n\n\t\t\t");
                //  aui:script
                com.liferay.taglib.aui.ScriptTag _jspx_th_aui_script_2 = (com.liferay.taglib.aui.ScriptTag) _jspx_tagPool_aui_script_require.get(com.liferay.taglib.aui.ScriptTag.class);
                _jspx_th_aui_script_2.setPageContext(_jspx_page_context);
                _jspx_th_aui_script_2.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_c_if_7);
                _jspx_th_aui_script_2.setRequire("commerce-frontend-js/components/item_finder/entry as itemFinder, commerce-frontend-js/utilities/slugify as slugify, commerce-frontend-js/utilities/eventsDefinitions as events, commerce-frontend-js/ServiceProvider/index as ServiceProvider");
                int _jspx_eval_aui_script_2 = _jspx_th_aui_script_2.doStartTag();
                if (_jspx_eval_aui_script_2 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
                  if (_jspx_eval_aui_script_2 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE) {
                    out = _jspx_page_context.pushBody();
                    _jspx_th_aui_script_2.setBodyContent((javax.servlet.jsp.tagext.BodyContent) out);
                    _jspx_th_aui_script_2.doInitBody();
                  }
                  do {
                    out.write("\n\t\t\t\tvar CommerceDiscountProductGroupsResource = ServiceProvider.default.AdminPricingAPI(\n\t\t\t\t\t'v2'\n\t\t\t\t);\n\n\t\t\t\tvar id = ");
                    out.print( commerceDiscountId );
                    out.write(";\n\t\t\t\tvar discountExternalReferenceCode =\n\t\t\t\t\t'");
                    out.print( HtmlUtil.escapeJS(commerceDiscount.getExternalReferenceCode()) );
                    out.write("';\n\n\t\t\t\tfunction selectItem(productGroup) {\n\t\t\t\t\tvar productGroupData = {\n\t\t\t\t\t\tdiscountExternalReferenceCode: discountExternalReferenceCode,\n\t\t\t\t\t\tdiscountId: id,\n\t\t\t\t\t\tproductGroupExternalReferenceCode: productGroup.externalReferenceCode,\n\t\t\t\t\t\tproductGroupId: productGroup.id,\n\t\t\t\t\t};\n\n\t\t\t\t\treturn CommerceDiscountProductGroupsResource.addDiscountProductGroup(\n\t\t\t\t\t\tid,\n\t\t\t\t\t\tproductGroupData\n\t\t\t\t\t)\n\t\t\t\t\t\t.then(function () {\n\t\t\t\t\t\t\tLiferay.fire(events.UPDATE_DATASET_DISPLAY, {\n\t\t\t\t\t\t\t\tid:\n\t\t\t\t\t\t\t\t\t'");
                    out.print( CommercePricingDataSetConstants.COMMERCE_DATA_SET_KEY_DISCOUNT_PRICING_CLASSES );
                    out.write("',\n\t\t\t\t\t\t\t});\n\t\t\t\t\t\t})\n\t\t\t\t\t\t.catch(function (error) {\n\t\t\t\t\t\t\treturn Promise.reject(error);\n\t\t\t\t\t\t});\n\t\t\t\t}\n\n\t\t\t\tfunction getSelectedItems() {\n\t\t\t\t\treturn Promise.resolve([]);\n\t\t\t\t}\n\n\t\t\t\titemFinder.default('itemFinder', 'item-finder-root', {\n\t\t\t\t\tapiUrl: '/o/headless-commerce-admin-catalog/v1.0/product-groups',\n\t\t\t\t\tgetSelectedItems: getSelectedItems,\n\t\t\t\t\tinputPlaceholder:\n\t\t\t\t\t\t'");
                    out.print( LanguageUtil.get(request, "find-a-product-group") );
                    out.write("',\n\t\t\t\t\titemCreation: false,\n\t\t\t\t\titemSelectedMessage:\n\t\t\t\t\t\t'");
                    out.print( LanguageUtil.get(request, "product-group-selected") );
                    out.write("',\n\t\t\t\t\titemsKey: 'id',\n\t\t\t\t\tlinkedDatasetsId: [\n\t\t\t\t\t\t'");
                    out.print( CommercePricingDataSetConstants.COMMERCE_DATA_SET_KEY_DISCOUNT_PRICING_CLASSES );
                    out.write("',\n\t\t\t\t\t],\n\t\t\t\t\tonItemSelected: selectItem,\n\t\t\t\t\tpageSize: 10,\n\t\t\t\t\tpanelHeaderLabel:\n\t\t\t\t\t\t'");
                    out.print( LanguageUtil.get(request, "select-product-group") );
                    out.write("',\n\t\t\t\t\tportletId: '");
                    out.print( portletDisplay.getRootPortletId() );
                    out.write("',\n\t\t\t\t\tschema: [\n\t\t\t\t\t\t{\n\t\t\t\t\t\t\tfieldName: ['title', 'LANG'],\n\t\t\t\t\t\t},\n\t\t\t\t\t],\n\t\t\t\t\tspritemap: '");
                    out.print( themeDisplay.getPathThemeImages() );
                    out.write("/lexicon/icons.svg',\n\t\t\t\t\ttitleLabel:\n\t\t\t\t\t\t'");
                    out.print( LanguageUtil.get(request, "add-existing-product-group") );
                    out.write("',\n\t\t\t\t});\n\t\t\t");
                    int evalDoAfterBody = _jspx_th_aui_script_2.doAfterBody();
                    if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
                      break;
                  } while (true);
                  if (_jspx_eval_aui_script_2 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE)
                    out = _jspx_page_context.popBody();
                }
                if (_jspx_th_aui_script_2.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
                  _jspx_tagPool_aui_script_require.reuse(_jspx_th_aui_script_2);
                  return;
                }
                _jspx_tagPool_aui_script_require.reuse(_jspx_th_aui_script_2);
                out.write("\n\t\t</div>\n\n\t\t<div class=\"col-12\">\n\t\t\t");
                //  commerce-ui:panel
                com.liferay.commerce.frontend.taglib.servlet.taglib.PanelTag _jspx_th_commerce$1ui_panel_6 = (com.liferay.commerce.frontend.taglib.servlet.taglib.PanelTag) _jspx_tagPool_commerce$1ui_panel_title_bodyClasses.get(com.liferay.commerce.frontend.taglib.servlet.taglib.PanelTag.class);
                _jspx_th_commerce$1ui_panel_6.setPageContext(_jspx_page_context);
                _jspx_th_commerce$1ui_panel_6.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_c_if_7);
                _jspx_th_commerce$1ui_panel_6.setBodyClasses("p-0");
                _jspx_th_commerce$1ui_panel_6.setTitle( LanguageUtil.get(request, "product-groups") );
                int _jspx_eval_commerce$1ui_panel_6 = _jspx_th_commerce$1ui_panel_6.doStartTag();
                if (_jspx_eval_commerce$1ui_panel_6 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
                  out.write("\n\t\t\t\t");
                  //  clay:headless-data-set-display
                  com.liferay.frontend.taglib.clay.servlet.taglib.HeadlessDataSetDisplayTag _jspx_th_clay_headless$1data$1set$1display_2 = (com.liferay.frontend.taglib.clay.servlet.taglib.HeadlessDataSetDisplayTag) _jspx_tagPool_clay_headless$1data$1set$1display_portletURL_pageNumber_namespace_itemsPerPage_id_formId_clayDataSetActionDropdownItems_apiURL_nobody.get(com.liferay.frontend.taglib.clay.servlet.taglib.HeadlessDataSetDisplayTag.class);
                  _jspx_th_clay_headless$1data$1set$1display_2.setPageContext(_jspx_page_context);
                  _jspx_th_clay_headless$1data$1set$1display_2.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_commerce$1ui_panel_6);
                  _jspx_th_clay_headless$1data$1set$1display_2.setApiURL( commerceDiscountDisplayContext.getDiscountPricingClassesApiURL() );
                  _jspx_th_clay_headless$1data$1set$1display_2.setClayDataSetActionDropdownItems( commerceDiscountDisplayContext.getDiscountPricingClassClayDataSetActionDropdownItems() );
                  _jspx_th_clay_headless$1data$1set$1display_2.setFormId("fm");
                  _jspx_th_clay_headless$1data$1set$1display_2.setId( CommercePricingDataSetConstants.COMMERCE_DATA_SET_KEY_DISCOUNT_PRICING_CLASSES );
                  _jspx_th_clay_headless$1data$1set$1display_2.setItemsPerPage( 10 );
                  _jspx_th_clay_headless$1data$1set$1display_2.setNamespace( liferayPortletResponse.getNamespace() );
                  _jspx_th_clay_headless$1data$1set$1display_2.setPageNumber( 1 );
                  _jspx_th_clay_headless$1data$1set$1display_2.setPortletURL( portletDiscountRuleURL );
                  int _jspx_eval_clay_headless$1data$1set$1display_2 = _jspx_th_clay_headless$1data$1set$1display_2.doStartTag();
                  if (_jspx_th_clay_headless$1data$1set$1display_2.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
                    _jspx_tagPool_clay_headless$1data$1set$1display_portletURL_pageNumber_namespace_itemsPerPage_id_formId_clayDataSetActionDropdownItems_apiURL_nobody.reuse(_jspx_th_clay_headless$1data$1set$1display_2);
                    return;
                  }
                  _jspx_tagPool_clay_headless$1data$1set$1display_portletURL_pageNumber_namespace_itemsPerPage_id_formId_clayDataSetActionDropdownItems_apiURL_nobody.reuse(_jspx_th_clay_headless$1data$1set$1display_2);
                  out.write("\n\t\t\t");
                }
                if (_jspx_th_commerce$1ui_panel_6.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
                  _jspx_tagPool_commerce$1ui_panel_title_bodyClasses.reuse(_jspx_th_commerce$1ui_panel_6);
                  return;
                }
                _jspx_tagPool_commerce$1ui_panel_title_bodyClasses.reuse(_jspx_th_commerce$1ui_panel_6);
                out.write("\n\t\t</div>\n\t</div>\n");
                int evalDoAfterBody = _jspx_th_c_if_7.doAfterBody();
                if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
                  break;
              } while (true);
            }
            if (_jspx_th_c_if_7.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
              _jspx_tagPool_c_if_test.reuse(_jspx_th_c_if_7);
              return;
            }
            _jspx_tagPool_c_if_test.reuse(_jspx_th_c_if_7);
            out.write('\n');
            out.write('	');
            int evalDoAfterBody = _jspx_th_c_if_6.doAfterBody();
            if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
              break;
          } while (true);
        }
        if (_jspx_th_c_if_6.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
          _jspx_tagPool_c_if_test.reuse(_jspx_th_c_if_6);
          return;
        }
        _jspx_tagPool_c_if_test.reuse(_jspx_th_c_if_6);
        out.write("\n\n\t");
        out.write('\n');
        out.write('\n');
        //  c:if
        org.apache.taglibs.standard.tag.rt.core.IfTag _jspx_th_c_if_8 = (org.apache.taglibs.standard.tag.rt.core.IfTag) _jspx_tagPool_c_if_test.get(org.apache.taglibs.standard.tag.rt.core.IfTag.class);
        _jspx_th_c_if_8.setPageContext(_jspx_page_context);
        _jspx_th_c_if_8.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_form_0);
        _jspx_th_c_if_8.setTest( hasPermission );
        int _jspx_eval_c_if_8 = _jspx_th_c_if_8.doStartTag();
        if (_jspx_eval_c_if_8 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
          do {
            out.write("\n\t<div class=\"row\">\n\t\t<div class=\"col-12\">\n\t\t\t");
            //  commerce-ui:panel
            com.liferay.commerce.frontend.taglib.servlet.taglib.PanelTag _jspx_th_commerce$1ui_panel_7 = (com.liferay.commerce.frontend.taglib.servlet.taglib.PanelTag) _jspx_tagPool_commerce$1ui_panel_title_bodyClasses.get(com.liferay.commerce.frontend.taglib.servlet.taglib.PanelTag.class);
            _jspx_th_commerce$1ui_panel_7.setPageContext(_jspx_page_context);
            _jspx_th_commerce$1ui_panel_7.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_c_if_8);
            _jspx_th_commerce$1ui_panel_7.setBodyClasses("p-0");
            _jspx_th_commerce$1ui_panel_7.setTitle( LanguageUtil.get(request, "rules") );
            int _jspx_eval_commerce$1ui_panel_7 = _jspx_th_commerce$1ui_panel_7.doStartTag();
            if (_jspx_eval_commerce$1ui_panel_7 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
              out.write("\n\t\t\t\t");
              //  aui:fieldset
              com.liferay.taglib.aui.FieldsetTag _jspx_th_aui_fieldset_0 = (com.liferay.taglib.aui.FieldsetTag) _jspx_tagPool_aui_fieldset_helpMessage.get(com.liferay.taglib.aui.FieldsetTag.class);
              _jspx_th_aui_fieldset_0.setPageContext(_jspx_page_context);
              _jspx_th_aui_fieldset_0.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_commerce$1ui_panel_7);
              _jspx_th_aui_fieldset_0.setHelpMessage("select-whether-rules-should-be-evaluated-in-and-or-or");
              int _jspx_eval_aui_fieldset_0 = _jspx_th_aui_fieldset_0.doStartTag();
              if (_jspx_eval_aui_fieldset_0 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
                out.write("\n\t\t\t\t\t<div class=\"align-items-center d-flex justify-content-end px-3\">\n\t\t\t\t\t\t<div class=\"mr-3\">");
                out.print( LanguageUtil.get(request, "rules-connector") );
                out.write("</div>\n\t\t\t\t\t\t<div class=\"mr-3\">\n\t\t\t\t\t\t\t");
                //  aui:input
                com.liferay.taglib.aui.InputTag _jspx_th_aui_input_14 = (com.liferay.taglib.aui.InputTag) _jspx_tagPool_aui_input_value_type_name_label_checked_nobody.get(com.liferay.taglib.aui.InputTag.class);
                _jspx_th_aui_input_14.setPageContext(_jspx_page_context);
                _jspx_th_aui_input_14.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_fieldset_0);
                _jspx_th_aui_input_14.setChecked( commerceDiscount.isRulesConjunction() );
                _jspx_th_aui_input_14.setLabel("And");
                _jspx_th_aui_input_14.setName("rulesConjunction");
                _jspx_th_aui_input_14.setType("radio");
                _jspx_th_aui_input_14.setValue( true );
                int _jspx_eval_aui_input_14 = _jspx_th_aui_input_14.doStartTag();
                if (_jspx_th_aui_input_14.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
                  _jspx_tagPool_aui_input_value_type_name_label_checked_nobody.reuse(_jspx_th_aui_input_14);
                  return;
                }
                _jspx_tagPool_aui_input_value_type_name_label_checked_nobody.reuse(_jspx_th_aui_input_14);
                out.write("\n\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t<div>\n\t\t\t\t\t\t\t");
                //  aui:input
                com.liferay.taglib.aui.InputTag _jspx_th_aui_input_15 = (com.liferay.taglib.aui.InputTag) _jspx_tagPool_aui_input_value_type_name_label_checked_nobody.get(com.liferay.taglib.aui.InputTag.class);
                _jspx_th_aui_input_15.setPageContext(_jspx_page_context);
                _jspx_th_aui_input_15.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_fieldset_0);
                _jspx_th_aui_input_15.setChecked( !commerceDiscount.isRulesConjunction() );
                _jspx_th_aui_input_15.setLabel("Or");
                _jspx_th_aui_input_15.setName("rulesConjunction");
                _jspx_th_aui_input_15.setType("radio");
                _jspx_th_aui_input_15.setValue( false );
                int _jspx_eval_aui_input_15 = _jspx_th_aui_input_15.doStartTag();
                if (_jspx_th_aui_input_15.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
                  _jspx_tagPool_aui_input_value_type_name_label_checked_nobody.reuse(_jspx_th_aui_input_15);
                  return;
                }
                _jspx_tagPool_aui_input_value_type_name_label_checked_nobody.reuse(_jspx_th_aui_input_15);
                out.write("\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</div>\n\t\t\t\t");
              }
              if (_jspx_th_aui_fieldset_0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
                _jspx_tagPool_aui_fieldset_helpMessage.reuse(_jspx_th_aui_fieldset_0);
                return;
              }
              _jspx_tagPool_aui_fieldset_helpMessage.reuse(_jspx_th_aui_fieldset_0);
              out.write("\n\n\t\t\t\t");
              //  clay:headless-data-set-display
              com.liferay.frontend.taglib.clay.servlet.taglib.HeadlessDataSetDisplayTag _jspx_th_clay_headless$1data$1set$1display_3 = (com.liferay.frontend.taglib.clay.servlet.taglib.HeadlessDataSetDisplayTag) _jspx_tagPool_clay_headless$1data$1set$1display_portletURL_pageNumber_namespace_itemsPerPage_id_formId_creationMenu_clayDataSetActionDropdownItems_apiURL_nobody.get(com.liferay.frontend.taglib.clay.servlet.taglib.HeadlessDataSetDisplayTag.class);
              _jspx_th_clay_headless$1data$1set$1display_3.setPageContext(_jspx_page_context);
              _jspx_th_clay_headless$1data$1set$1display_3.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_commerce$1ui_panel_7);
              _jspx_th_clay_headless$1data$1set$1display_3.setApiURL( commerceDiscountDisplayContext.getDiscountRulesApiURL() );
              _jspx_th_clay_headless$1data$1set$1display_3.setClayDataSetActionDropdownItems( commerceDiscountDisplayContext.getDiscountRulesClayDataSetActionDropdownItem() );
              _jspx_th_clay_headless$1data$1set$1display_3.setCreationMenu( commerceDiscountDisplayContext.getDiscountRuleCreationMenu() );
              _jspx_th_clay_headless$1data$1set$1display_3.setFormId("fm");
              _jspx_th_clay_headless$1data$1set$1display_3.setId( CommercePricingDataSetConstants.COMMERCE_DATA_SET_KEY_DISCOUNT_RULES );
              _jspx_th_clay_headless$1data$1set$1display_3.setItemsPerPage( 10 );
              _jspx_th_clay_headless$1data$1set$1display_3.setNamespace( liferayPortletResponse.getNamespace() );
              _jspx_th_clay_headless$1data$1set$1display_3.setPageNumber( 1 );
              _jspx_th_clay_headless$1data$1set$1display_3.setPortletURL( portletDiscountRuleURL );
              int _jspx_eval_clay_headless$1data$1set$1display_3 = _jspx_th_clay_headless$1data$1set$1display_3.doStartTag();
              if (_jspx_th_clay_headless$1data$1set$1display_3.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
                _jspx_tagPool_clay_headless$1data$1set$1display_portletURL_pageNumber_namespace_itemsPerPage_id_formId_creationMenu_clayDataSetActionDropdownItems_apiURL_nobody.reuse(_jspx_th_clay_headless$1data$1set$1display_3);
                return;
              }
              _jspx_tagPool_clay_headless$1data$1set$1display_portletURL_pageNumber_namespace_itemsPerPage_id_formId_creationMenu_clayDataSetActionDropdownItems_apiURL_nobody.reuse(_jspx_th_clay_headless$1data$1set$1display_3);
              out.write("\n\t\t\t");
            }
            if (_jspx_th_commerce$1ui_panel_7.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
              _jspx_tagPool_commerce$1ui_panel_title_bodyClasses.reuse(_jspx_th_commerce$1ui_panel_7);
              return;
            }
            _jspx_tagPool_commerce$1ui_panel_title_bodyClasses.reuse(_jspx_th_commerce$1ui_panel_7);
            out.write("\n\t\t</div>\n\t</div>\n");
            int evalDoAfterBody = _jspx_th_c_if_8.doAfterBody();
            if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
              break;
          } while (true);
        }
        if (_jspx_th_c_if_8.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
          _jspx_tagPool_c_if_test.reuse(_jspx_th_c_if_8);
          return;
        }
        _jspx_tagPool_c_if_test.reuse(_jspx_th_c_if_8);
        out.write('\n');
      }
      if (_jspx_th_aui_form_0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
        _jspx_tagPool_aui_form_name_method_cssClass_action.reuse(_jspx_th_aui_form_0);
        return;
      }
      _jspx_tagPool_aui_form_name_method_cssClass_action.reuse(_jspx_th_aui_form_0);
      out.write('\n');
      out.write('\n');
      //  aui:script
      com.liferay.taglib.aui.ScriptTag _jspx_th_aui_script_3 = (com.liferay.taglib.aui.ScriptTag) _jspx_tagPool_aui_script.get(com.liferay.taglib.aui.ScriptTag.class);
      _jspx_th_aui_script_3.setPageContext(_jspx_page_context);
      _jspx_th_aui_script_3.setParent(null);
      int _jspx_eval_aui_script_3 = _jspx_th_aui_script_3.doStartTag();
      if (_jspx_eval_aui_script_3 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
        if (_jspx_eval_aui_script_3 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE) {
          out = _jspx_page_context.pushBody();
          _jspx_th_aui_script_3.setBodyContent((javax.servlet.jsp.tagext.BodyContent) out);
          _jspx_th_aui_script_3.doInitBody();
        }
        do {
          out.write("\n\tLiferay.provide(\n\t\twindow,\n\t\t'");
          if (_jspx_meth_portlet_namespace_0((javax.servlet.jsp.tagext.JspTag) _jspx_th_aui_script_3, _jspx_page_context))
            return;
          out.write("selectType',\n\t\tfunction () {\n\t\t\tvar A = AUI();\n\n\t\t\tvar type = A.one('#");
          if (_jspx_meth_portlet_namespace_1((javax.servlet.jsp.tagext.JspTag) _jspx_th_aui_script_3, _jspx_page_context))
            return;
          out.write("usePercentage').val();\n\n\t\t\tvar portletURL = new Liferay.PortletURL.createURL(\n\t\t\t\t'");
          out.print( currentURLObj );
          out.write("'\n\t\t\t);\n\n\t\t\tportletURL.setParameter('usePercentage', type);\n\n\t\t\twindow.location.replace(portletURL.toString());\n\t\t},\n\t\t['liferay-portlet-url']\n\t);\n\n\tLiferay.provide(\n\t\twindow,\n\t\t'");
          if (_jspx_meth_portlet_namespace_2((javax.servlet.jsp.tagext.JspTag) _jspx_th_aui_script_3, _jspx_page_context))
            return;
          out.write("selectTarget',\n\t\tfunction () {\n\t\t\tvar A = AUI();\n\n\t\t\tvar type = A.one('#");
          if (_jspx_meth_portlet_namespace_3((javax.servlet.jsp.tagext.JspTag) _jspx_th_aui_script_3, _jspx_page_context))
            return;
          out.write("target').val();\n\n\t\t\tvar portletURL = new Liferay.PortletURL.createURL(\n\t\t\t\t'");
          out.print( currentURLObj );
          out.write("'\n\t\t\t);\n\n\t\t\tportletURL.setParameter('target', type);\n\n\t\t\twindow.location.replace(portletURL.toString());\n\t\t},\n\t\t['liferay-portlet-url']\n\t);\n");
          int evalDoAfterBody = _jspx_th_aui_script_3.doAfterBody();
          if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
            break;
        } while (true);
        if (_jspx_eval_aui_script_3 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE)
          out = _jspx_page_context.popBody();
      }
      if (_jspx_th_aui_script_3.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
        _jspx_tagPool_aui_script.reuse(_jspx_th_aui_script_3);
        return;
      }
      _jspx_tagPool_aui_script.reuse(_jspx_th_aui_script_3);
    } catch (Throwable t) {
      if (!(t instanceof SkipPageException)){
        out = _jspx_out;
        if (out != null && out.getBufferSize() != 0)
          out.clearBuffer();
        if (_jspx_page_context != null) _jspx_page_context.handlePageException(t);
        else throw new ServletException(t);
      }
    } finally {
      _jspxFactory.releasePageContext(_jspx_page_context);
    }
  }

  private boolean _jspx_meth_aui_validator_0(javax.servlet.jsp.tagext.JspTag _jspx_th_aui_input_7, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  aui:validator
    com.liferay.taglib.aui.ValidatorTagImpl _jspx_th_aui_validator_0 = (com.liferay.taglib.aui.ValidatorTagImpl) _jspx_tagPool_aui_validator_name.get(com.liferay.taglib.aui.ValidatorTagImpl.class);
    _jspx_th_aui_validator_0.setPageContext(_jspx_page_context);
    _jspx_th_aui_validator_0.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_input_7);
    _jspx_th_aui_validator_0.setName("min");
    int _jspx_eval_aui_validator_0 = _jspx_th_aui_validator_0.doStartTag();
    if (_jspx_eval_aui_validator_0 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
      if (_jspx_eval_aui_validator_0 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE) {
        out = _jspx_page_context.pushBody();
        _jspx_th_aui_validator_0.setBodyContent((javax.servlet.jsp.tagext.BodyContent) out);
        _jspx_th_aui_validator_0.doInitBody();
      }
      do {
        out.write('0');
        int evalDoAfterBody = _jspx_th_aui_validator_0.doAfterBody();
        if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
          break;
      } while (true);
      if (_jspx_eval_aui_validator_0 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE)
        out = _jspx_page_context.popBody();
    }
    if (_jspx_th_aui_validator_0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _jspx_tagPool_aui_validator_name.reuse(_jspx_th_aui_validator_0);
      return true;
    }
    _jspx_tagPool_aui_validator_name.reuse(_jspx_th_aui_validator_0);
    return false;
  }

  private boolean _jspx_meth_aui_validator_1(javax.servlet.jsp.tagext.JspTag _jspx_th_aui_input_7, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  aui:validator
    com.liferay.taglib.aui.ValidatorTagImpl _jspx_th_aui_validator_1 = (com.liferay.taglib.aui.ValidatorTagImpl) _jspx_tagPool_aui_validator_name_nobody.get(com.liferay.taglib.aui.ValidatorTagImpl.class);
    _jspx_th_aui_validator_1.setPageContext(_jspx_page_context);
    _jspx_th_aui_validator_1.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_input_7);
    _jspx_th_aui_validator_1.setName("number");
    int _jspx_eval_aui_validator_1 = _jspx_th_aui_validator_1.doStartTag();
    if (_jspx_th_aui_validator_1.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _jspx_tagPool_aui_validator_name_nobody.reuse(_jspx_th_aui_validator_1);
      return true;
    }
    _jspx_tagPool_aui_validator_name_nobody.reuse(_jspx_th_aui_validator_1);
    return false;
  }

  private boolean _jspx_meth_aui_validator_2(javax.servlet.jsp.tagext.JspTag _jspx_th_aui_input_8, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  aui:validator
    com.liferay.taglib.aui.ValidatorTagImpl _jspx_th_aui_validator_2 = (com.liferay.taglib.aui.ValidatorTagImpl) _jspx_tagPool_aui_validator_name.get(com.liferay.taglib.aui.ValidatorTagImpl.class);
    _jspx_th_aui_validator_2.setPageContext(_jspx_page_context);
    _jspx_th_aui_validator_2.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_input_8);
    _jspx_th_aui_validator_2.setName("min");
    int _jspx_eval_aui_validator_2 = _jspx_th_aui_validator_2.doStartTag();
    if (_jspx_eval_aui_validator_2 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
      if (_jspx_eval_aui_validator_2 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE) {
        out = _jspx_page_context.pushBody();
        _jspx_th_aui_validator_2.setBodyContent((javax.servlet.jsp.tagext.BodyContent) out);
        _jspx_th_aui_validator_2.doInitBody();
      }
      do {
        out.write('0');
        int evalDoAfterBody = _jspx_th_aui_validator_2.doAfterBody();
        if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
          break;
      } while (true);
      if (_jspx_eval_aui_validator_2 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE)
        out = _jspx_page_context.popBody();
    }
    if (_jspx_th_aui_validator_2.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _jspx_tagPool_aui_validator_name.reuse(_jspx_th_aui_validator_2);
      return true;
    }
    _jspx_tagPool_aui_validator_name.reuse(_jspx_th_aui_validator_2);
    return false;
  }

  private boolean _jspx_meth_aui_validator_3(javax.servlet.jsp.tagext.JspTag _jspx_th_aui_input_8, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  aui:validator
    com.liferay.taglib.aui.ValidatorTagImpl _jspx_th_aui_validator_3 = (com.liferay.taglib.aui.ValidatorTagImpl) _jspx_tagPool_aui_validator_name_nobody.get(com.liferay.taglib.aui.ValidatorTagImpl.class);
    _jspx_th_aui_validator_3.setPageContext(_jspx_page_context);
    _jspx_th_aui_validator_3.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_input_8);
    _jspx_th_aui_validator_3.setName("number");
    int _jspx_eval_aui_validator_3 = _jspx_th_aui_validator_3.doStartTag();
    if (_jspx_th_aui_validator_3.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _jspx_tagPool_aui_validator_name_nobody.reuse(_jspx_th_aui_validator_3);
      return true;
    }
    _jspx_tagPool_aui_validator_name_nobody.reuse(_jspx_th_aui_validator_3);
    return false;
  }

  private boolean _jspx_meth_aui_input_9(javax.servlet.jsp.tagext.JspTag _jspx_th_commerce$1ui_panel_1, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  aui:input
    com.liferay.taglib.aui.InputTag _jspx_th_aui_input_9 = (com.liferay.taglib.aui.InputTag) _jspx_tagPool_aui_input_name_label_formName_nobody.get(com.liferay.taglib.aui.InputTag.class);
    _jspx_th_aui_input_9.setPageContext(_jspx_page_context);
    _jspx_th_aui_input_9.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_commerce$1ui_panel_1);
    _jspx_th_aui_input_9.setFormName("fm");
    _jspx_th_aui_input_9.setLabel("publish-date");
    _jspx_th_aui_input_9.setName("displayDate");
    int _jspx_eval_aui_input_9 = _jspx_th_aui_input_9.doStartTag();
    if (_jspx_th_aui_input_9.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _jspx_tagPool_aui_input_name_label_formName_nobody.reuse(_jspx_th_aui_input_9);
      return true;
    }
    _jspx_tagPool_aui_input_name_label_formName_nobody.reuse(_jspx_th_aui_input_9);
    return false;
  }

  private boolean _jspx_meth_aui_validator_4(javax.servlet.jsp.tagext.JspTag _jspx_th_aui_input_12, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  aui:validator
    com.liferay.taglib.aui.ValidatorTagImpl _jspx_th_aui_validator_4 = (com.liferay.taglib.aui.ValidatorTagImpl) _jspx_tagPool_aui_validator_name.get(com.liferay.taglib.aui.ValidatorTagImpl.class);
    _jspx_th_aui_validator_4.setPageContext(_jspx_page_context);
    _jspx_th_aui_validator_4.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_input_12);
    _jspx_th_aui_validator_4.setName("min");
    int _jspx_eval_aui_validator_4 = _jspx_th_aui_validator_4.doStartTag();
    if (_jspx_eval_aui_validator_4 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
      if (_jspx_eval_aui_validator_4 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE) {
        out = _jspx_page_context.pushBody();
        _jspx_th_aui_validator_4.setBodyContent((javax.servlet.jsp.tagext.BodyContent) out);
        _jspx_th_aui_validator_4.doInitBody();
      }
      do {
        out.write('0');
        int evalDoAfterBody = _jspx_th_aui_validator_4.doAfterBody();
        if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
          break;
      } while (true);
      if (_jspx_eval_aui_validator_4 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE)
        out = _jspx_page_context.popBody();
    }
    if (_jspx_th_aui_validator_4.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _jspx_tagPool_aui_validator_name.reuse(_jspx_th_aui_validator_4);
      return true;
    }
    _jspx_tagPool_aui_validator_name.reuse(_jspx_th_aui_validator_4);
    return false;
  }

  private boolean _jspx_meth_aui_validator_5(javax.servlet.jsp.tagext.JspTag _jspx_th_aui_input_12, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  aui:validator
    com.liferay.taglib.aui.ValidatorTagImpl _jspx_th_aui_validator_5 = (com.liferay.taglib.aui.ValidatorTagImpl) _jspx_tagPool_aui_validator_name_nobody.get(com.liferay.taglib.aui.ValidatorTagImpl.class);
    _jspx_th_aui_validator_5.setPageContext(_jspx_page_context);
    _jspx_th_aui_validator_5.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_input_12);
    _jspx_th_aui_validator_5.setName("number");
    int _jspx_eval_aui_validator_5 = _jspx_th_aui_validator_5.doStartTag();
    if (_jspx_th_aui_validator_5.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _jspx_tagPool_aui_validator_name_nobody.reuse(_jspx_th_aui_validator_5);
      return true;
    }
    _jspx_tagPool_aui_validator_name_nobody.reuse(_jspx_th_aui_validator_5);
    return false;
  }

  private boolean _jspx_meth_aui_validator_6(javax.servlet.jsp.tagext.JspTag _jspx_th_aui_input_13, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  aui:validator
    com.liferay.taglib.aui.ValidatorTagImpl _jspx_th_aui_validator_6 = (com.liferay.taglib.aui.ValidatorTagImpl) _jspx_tagPool_aui_validator_name.get(com.liferay.taglib.aui.ValidatorTagImpl.class);
    _jspx_th_aui_validator_6.setPageContext(_jspx_page_context);
    _jspx_th_aui_validator_6.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_input_13);
    _jspx_th_aui_validator_6.setName("min");
    int _jspx_eval_aui_validator_6 = _jspx_th_aui_validator_6.doStartTag();
    if (_jspx_eval_aui_validator_6 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
      if (_jspx_eval_aui_validator_6 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE) {
        out = _jspx_page_context.pushBody();
        _jspx_th_aui_validator_6.setBodyContent((javax.servlet.jsp.tagext.BodyContent) out);
        _jspx_th_aui_validator_6.doInitBody();
      }
      do {
        out.write('0');
        int evalDoAfterBody = _jspx_th_aui_validator_6.doAfterBody();
        if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
          break;
      } while (true);
      if (_jspx_eval_aui_validator_6 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE)
        out = _jspx_page_context.popBody();
    }
    if (_jspx_th_aui_validator_6.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _jspx_tagPool_aui_validator_name.reuse(_jspx_th_aui_validator_6);
      return true;
    }
    _jspx_tagPool_aui_validator_name.reuse(_jspx_th_aui_validator_6);
    return false;
  }

  private boolean _jspx_meth_aui_validator_7(javax.servlet.jsp.tagext.JspTag _jspx_th_aui_input_13, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  aui:validator
    com.liferay.taglib.aui.ValidatorTagImpl _jspx_th_aui_validator_7 = (com.liferay.taglib.aui.ValidatorTagImpl) _jspx_tagPool_aui_validator_name_nobody.get(com.liferay.taglib.aui.ValidatorTagImpl.class);
    _jspx_th_aui_validator_7.setPageContext(_jspx_page_context);
    _jspx_th_aui_validator_7.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_input_13);
    _jspx_th_aui_validator_7.setName("number");
    int _jspx_eval_aui_validator_7 = _jspx_th_aui_validator_7.doStartTag();
    if (_jspx_th_aui_validator_7.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _jspx_tagPool_aui_validator_name_nobody.reuse(_jspx_th_aui_validator_7);
      return true;
    }
    _jspx_tagPool_aui_validator_name_nobody.reuse(_jspx_th_aui_validator_7);
    return false;
  }

  private boolean _jspx_meth_portlet_namespace_0(javax.servlet.jsp.tagext.JspTag _jspx_th_aui_script_3, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  portlet:namespace
    com.liferay.taglib.portlet.NamespaceTag _jspx_th_portlet_namespace_0 = (com.liferay.taglib.portlet.NamespaceTag) _jspx_tagPool_portlet_namespace_nobody.get(com.liferay.taglib.portlet.NamespaceTag.class);
    _jspx_th_portlet_namespace_0.setPageContext(_jspx_page_context);
    _jspx_th_portlet_namespace_0.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_script_3);
    int _jspx_eval_portlet_namespace_0 = _jspx_th_portlet_namespace_0.doStartTag();
    if (_jspx_th_portlet_namespace_0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _jspx_tagPool_portlet_namespace_nobody.reuse(_jspx_th_portlet_namespace_0);
      return true;
    }
    _jspx_tagPool_portlet_namespace_nobody.reuse(_jspx_th_portlet_namespace_0);
    return false;
  }

  private boolean _jspx_meth_portlet_namespace_1(javax.servlet.jsp.tagext.JspTag _jspx_th_aui_script_3, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  portlet:namespace
    com.liferay.taglib.portlet.NamespaceTag _jspx_th_portlet_namespace_1 = (com.liferay.taglib.portlet.NamespaceTag) _jspx_tagPool_portlet_namespace_nobody.get(com.liferay.taglib.portlet.NamespaceTag.class);
    _jspx_th_portlet_namespace_1.setPageContext(_jspx_page_context);
    _jspx_th_portlet_namespace_1.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_script_3);
    int _jspx_eval_portlet_namespace_1 = _jspx_th_portlet_namespace_1.doStartTag();
    if (_jspx_th_portlet_namespace_1.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _jspx_tagPool_portlet_namespace_nobody.reuse(_jspx_th_portlet_namespace_1);
      return true;
    }
    _jspx_tagPool_portlet_namespace_nobody.reuse(_jspx_th_portlet_namespace_1);
    return false;
  }

  private boolean _jspx_meth_portlet_namespace_2(javax.servlet.jsp.tagext.JspTag _jspx_th_aui_script_3, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  portlet:namespace
    com.liferay.taglib.portlet.NamespaceTag _jspx_th_portlet_namespace_2 = (com.liferay.taglib.portlet.NamespaceTag) _jspx_tagPool_portlet_namespace_nobody.get(com.liferay.taglib.portlet.NamespaceTag.class);
    _jspx_th_portlet_namespace_2.setPageContext(_jspx_page_context);
    _jspx_th_portlet_namespace_2.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_script_3);
    int _jspx_eval_portlet_namespace_2 = _jspx_th_portlet_namespace_2.doStartTag();
    if (_jspx_th_portlet_namespace_2.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _jspx_tagPool_portlet_namespace_nobody.reuse(_jspx_th_portlet_namespace_2);
      return true;
    }
    _jspx_tagPool_portlet_namespace_nobody.reuse(_jspx_th_portlet_namespace_2);
    return false;
  }

  private boolean _jspx_meth_portlet_namespace_3(javax.servlet.jsp.tagext.JspTag _jspx_th_aui_script_3, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  portlet:namespace
    com.liferay.taglib.portlet.NamespaceTag _jspx_th_portlet_namespace_3 = (com.liferay.taglib.portlet.NamespaceTag) _jspx_tagPool_portlet_namespace_nobody.get(com.liferay.taglib.portlet.NamespaceTag.class);
    _jspx_th_portlet_namespace_3.setPageContext(_jspx_page_context);
    _jspx_th_portlet_namespace_3.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_aui_script_3);
    int _jspx_eval_portlet_namespace_3 = _jspx_th_portlet_namespace_3.doStartTag();
    if (_jspx_th_portlet_namespace_3.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _jspx_tagPool_portlet_namespace_nobody.reuse(_jspx_th_portlet_namespace_3);
      return true;
    }
    _jspx_tagPool_portlet_namespace_nobody.reuse(_jspx_th_portlet_namespace_3);
    return false;
  }
}
