Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/instance-list-page/modal/instance-details/InstanceDetailsModal.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/icon', '@frontend-taglib-clay$clayui/modal', 'frontend-js-react-web$react', '../../../../shared/components/promises-resolver/PromisesResolver.es', '../../../../shared/hooks/useFetch.es', '../../InstanceListPageProvider.es', '../ModalProvider.es', './InstanceDetailsModalBody.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _modal = _interopRequireWildcard(require("@frontend-taglib-clay$clayui/modal"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _PromisesResolver = _interopRequireDefault(require("../../../../shared/components/promises-resolver/PromisesResolver.es"));

    var _useFetch2 = require("../../../../shared/hooks/useFetch.es");

    var _InstanceListPageProvider = require("../../InstanceListPageProvider.es");

    var _ModalProvider = require("../ModalProvider.es");

    var _InstanceDetailsModalBody = require("./InstanceDetailsModalBody.es");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _extends() {
      _extends = Object.assign || function (target) {
        for (var i = 1; i < arguments.length; i++) {
          var source = arguments[i];for (var key in source) {
            if (Object.prototype.hasOwnProperty.call(source, key)) {
              target[key] = source[key];
            }
          }
        }return target;
      };return _extends.apply(this, arguments);
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var Header = function Header(_ref) {
      var completed = _ref.completed,
          _ref$id = _ref.id,
          id = _ref$id === void 0 ? '' : _ref$id,
          _ref$slaResults = _ref.slaResults,
          slaResults = _ref$slaResults === void 0 ? [] : _ref$slaResults,
          slaStatus = _ref.slaStatus;

      slaStatus = !slaResults.length ? 'Empty' : slaStatus;
      slaStatus = completed ? 'Completed' : slaStatus;
      var iconClass = {
        Empty: 'hr',
        Overdue: 'exclamation-circle'
      }[slaStatus] || 'check-circle';
      var iconColor = {
        Empty: 'text-info',
        Overdue: 'text-danger'
      }[slaStatus] || 'text-success';
      return (/*#__PURE__*/_react.default.createElement(_modal.default.Header, null, /*#__PURE__*/_react.default.createElement(_PromisesResolver.default.Resolved, null, /*#__PURE__*/_react.default.createElement("div", {
          className: "font-weight-medium"
        }, /*#__PURE__*/_react.default.createElement("span", {
          className: "modal-title-indicator ".concat(iconColor)
        }, /*#__PURE__*/_react.default.createElement(_icon.default, {
          symbol: iconClass
        })), "".concat(Liferay.Language.get('item'), " #").concat(id))))
      );
    };

    var InstanceDetailsModal = function InstanceDetailsModal() {
      var _useState = (0, _react.useState)(0),
          _useState2 = _slicedToArray(_useState, 2),
          retry = _useState2[0],
          setRetry = _useState2[1];

      var _useContext = (0, _react.useContext)(_InstanceListPageProvider.InstanceListContext),
          instanceId = _useContext.instanceId,
          setInstanceId = _useContext.setInstanceId;

      var _useContext2 = (0, _react.useContext)(_ModalProvider.ModalContext),
          closeModal = _useContext2.closeModal,
          processId = _useContext2.processId,
          visibleModal = _useContext2.visibleModal;

      var url = (0, _react.useMemo)(function () {
        return "/processes/".concat(processId, "/instances/").concat(instanceId);
      }, [instanceId, processId]);

      var _useFetch = (0, _useFetch2.useFetch)({
        url: url
      }),
          data = _useFetch.data,
          fetchData = _useFetch.fetchData;

      var promises = (0, _react.useMemo)(function () {
        if (instanceId) {
          return [fetchData()];
        }

        return [];
      }, [instanceId, fetchData, retry]);

      var _useModal = (0, _modal.useModal)({
        onClose: function onClose() {
          closeModal();
          setInstanceId();
        }
      }),
          observer = _useModal.observer;

      return visibleModal === 'instanceDetails' ? /*#__PURE__*/_react.default.createElement(_modal.default, {
        className: "instance-details-modal",
        observer: observer,
        size: "lg"
      }, /*#__PURE__*/_react.default.createElement(_PromisesResolver.default, {
        promises: promises
      }, /*#__PURE__*/_react.default.createElement(InstanceDetailsModal.Header, data), /*#__PURE__*/_react.default.createElement(InstanceDetailsModal.Body, _extends({}, data, {
        setRetry: setRetry
      })))) : /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null);
    };

    InstanceDetailsModal.Body = _InstanceDetailsModalBody.Body;
    InstanceDetailsModal.Header = Header;
    var _default = InstanceDetailsModal;
    exports.default = _default;
    //# sourceMappingURL=InstanceDetailsModal.es.js.map
  }
});
//# sourceMappingURL=InstanceDetailsModal.es.js.map