Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/instance-list-page/modal/reassign/bulk/select-assignees-step/SelectAssigneesStepHeader.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/form', '@frontend-taglib-clay$clayui/icon', '@frontend-taglib-clay$clayui/management-toolbar', 'frontend-js-react-web$react', '../../../../../../shared/components/autocomplete/Autocomplete.es', '../../../../../../shared/components/promises-resolver/PromisesResolver.es', '../../../ModalProvider.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.Header = void 0;

    var _form = require("@frontend-taglib-clay$clayui/form");

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _managementToolbar = _interopRequireDefault(require("@frontend-taglib-clay$clayui/management-toolbar"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _Autocomplete = require("../../../../../../shared/components/autocomplete/Autocomplete.es");

    var _PromisesResolver = _interopRequireDefault(require("../../../../../../shared/components/promises-resolver/PromisesResolver.es"));

    var _ModalProvider = require("../../../ModalProvider.es");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var Header = function Header(_ref) {
      var data = _ref.data;

      var _useContext = (0, _react.useContext)(_ModalProvider.ModalContext),
          bulkReassign = _useContext.bulkReassign,
          tasks = _useContext.selectTasks.tasks,
          setBulkReassign = _useContext.setBulkReassign;

      var reassigning = bulkReassign.reassigning,
          selectedAssignee = bulkReassign.selectedAssignee,
          useSameAssignee = bulkReassign.useSameAssignee;

      var _useState = (0, _react.useState)([]),
          _useState2 = _slicedToArray(_useState, 2),
          assignees = _useState2[0],
          setAssignees = _useState2[1];

      (0, _react.useEffect)(function () {
        var users = (data || {}).workflowTaskAssignableUsers;

        if (users && users.length) {
          var _ref3 = users.find(function (item) {
            return item.workflowTaskId === 0;
          }) || {},
              _ref3$assignableUsers = _ref3.assignableUsers,
              assignableUsers = _ref3$assignableUsers === void 0 ? [] : _ref3$assignableUsers;

          setAssignees(assignableUsers);
        }
      }, [data]);
      var defaultValue = (0, _react.useMemo)(function () {
        return selectedAssignee ? selectedAssignee.name : '';
      }, [selectedAssignee]);
      var disableBulk = (0, _react.useMemo)(function () {
        return reassigning || assignees.length === 0;
      }, [assignees, reassigning]);

      var handleSelect = (0, _react.useCallback)(function (newAssignee) {
        var reassignedTasks = [];

        if (newAssignee) {
          tasks.forEach(function (task) {
            reassignedTasks.push({
              assigneeId: newAssignee.id,
              workflowTaskId: task.id
            });
          });
        }

        setBulkReassign(_objectSpread(_objectSpread({}, bulkReassign), {}, {
          reassignedTasks: reassignedTasks,
          selectedAssignee: newAssignee
        }));
      }, // eslint-disable-next-line react-hooks/exhaustive-deps
      [bulkReassign, tasks, setBulkReassign]);
      return (/*#__PURE__*/_react.default.createElement(_PromisesResolver.default.Resolved, null, /*#__PURE__*/_react.default.createElement(_managementToolbar.default, {
          className: "border-bottom mb-0 px-3"
        }, /*#__PURE__*/_react.default.createElement(_managementToolbar.default.ItemList, null, /*#__PURE__*/_react.default.createElement(_managementToolbar.default.Item, {
          className: "pt-2"
        }, /*#__PURE__*/_react.default.createElement(_form.ClayCheckbox, {
          checked: useSameAssignee,
          disabled: disableBulk,
          label: Liferay.Language.get('use-the-same-assignee-for-all-tasks'),
          onChange: function handleCheck(_ref4) {
            var target = _ref4.target;
            setBulkReassign(_objectSpread(_objectSpread({}, bulkReassign), {}, {
              reassignedTasks: [],
              selectedAssignee: null,
              useSameAssignee: target.checked
            }));
          }
        }))), /*#__PURE__*/_react.default.createElement(_managementToolbar.default.Search, null, /*#__PURE__*/_react.default.createElement(_Autocomplete.Autocomplete, {
          defaultValue: defaultValue,
          disabled: disableBulk || !useSameAssignee,
          items: assignees,
          onSelect: handleSelect,
          placeholder: Liferay.Language.get('search-for-an-assignee')
        }, /*#__PURE__*/_react.default.createElement(_form.ClayInput.GroupInsetItem, {
          after: true,
          tag: "span"
        }, /*#__PURE__*/_react.default.createElement(_icon.default, {
          className: "m-2",
          displayType: "unstyled",
          symbol: "search"
        }))))))
      );
    };

    exports.Header = Header;
    //# sourceMappingURL=SelectAssigneesStepHeader.es.js.map
  }
});
//# sourceMappingURL=SelectAssigneesStepHeader.es.js.map