Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/instance-list-page/modal/reassign/single/SingleReassignModal.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/alert', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/modal', 'frontend-js-react-web$react', '../../../../../shared/components/content-view/ContentView.es', '../../../../../shared/components/list/RetryButton.es', '../../../../../shared/components/promises-resolver/PromisesResolver.es', '../../../../../shared/components/toaster/hooks/useToaster.es', '../../../../../shared/hooks/useFetch.es', '../../../../../shared/hooks/usePost.es', '../../../InstanceListPageProvider.es', '../../ModalProvider.es', './SingleReassignModalTable.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _alert = _interopRequireDefault(require("@frontend-taglib-clay$clayui/alert"));

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _modal = _interopRequireWildcard(require("@frontend-taglib-clay$clayui/modal"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _ContentView = _interopRequireDefault(require("../../../../../shared/components/content-view/ContentView.es"));

    var _RetryButton = _interopRequireDefault(require("../../../../../shared/components/list/RetryButton.es"));

    var _PromisesResolver = _interopRequireDefault(require("../../../../../shared/components/promises-resolver/PromisesResolver.es"));

    var _useToaster = require("../../../../../shared/components/toaster/hooks/useToaster.es");

    var _useFetch2 = require("../../../../../shared/hooks/useFetch.es");

    var _usePost2 = require("../../../../../shared/hooks/usePost.es");

    var _InstanceListPageProvider = require("../../../InstanceListPageProvider.es");

    var _ModalProvider = require("../../ModalProvider.es");

    var _SingleReassignModalTable = require("./SingleReassignModalTable.es");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _extends() {
      _extends = Object.assign || function (target) {
        for (var i = 1; i < arguments.length; i++) {
          var source = arguments[i];for (var key in source) {
            if (Object.prototype.hasOwnProperty.call(source, key)) {
              target[key] = source[key];
            }
          }
        }return target;
      };return _extends.apply(this, arguments);
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var SingleReassignModal = function SingleReassignModal() {
      var _useState = (0, _react.useState)(false),
          _useState2 = _slicedToArray(_useState, 2),
          errorToast = _useState2[0],
          setErrorToast = _useState2[1];

      var _useState3 = (0, _react.useState)(),
          _useState4 = _slicedToArray(_useState3, 2),
          assigneeId = _useState4[0],
          setAssigneeId = _useState4[1];

      var _useState5 = (0, _react.useState)(0),
          _useState6 = _slicedToArray(_useState5, 2),
          retry = _useState6[0],
          setRetry = _useState6[1];

      var _useState7 = (0, _react.useState)(false),
          _useState8 = _slicedToArray(_useState7, 2),
          sendingPost = _useState8[0],
          setSendingPost = _useState8[1];

      var toaster = (0, _useToaster.useToaster)();

      var _useContext = (0, _react.useContext)(_ModalProvider.ModalContext),
          closeModal = _useContext.closeModal,
          visibleModal = _useContext.visibleModal;

      var _useContext2 = (0, _react.useContext)(_InstanceListPageProvider.InstanceListContext),
          selectedInstance = _useContext2.selectedInstance,
          setSelectedItem = _useContext2.setSelectedItem,
          setSelectedItems = _useContext2.setSelectedItems;

      var onCloseModal = function onCloseModal(refetch) {
        closeModal(refetch);
        setAssigneeId();
        setSelectedItem({});
        setSelectedItems([]);
      };

      var _useModal = (0, _modal.useModal)({
        onClose: onCloseModal
      }),
          observer = _useModal.observer,
          onClose = _useModal.onClose;

      var _useFetch = (0, _useFetch2.useFetch)({
        admin: true,
        params: {
          completed: false,
          page: 1,
          pageSize: 1
        },
        url: "/workflow-instances/".concat(selectedInstance.id, "/workflow-tasks")
      }),
          data = _useFetch.data,
          fetchData = _useFetch.fetchData;

      var taskId = (0, _react.useMemo)(function () {
        return data.items && data.items[0] ? data.items[0].id : undefined;
      }, [data]);

      var _usePost = (0, _usePost2.usePost)({
        admin: true,
        body: {
          assigneeId: assigneeId
        },
        url: "/workflow-tasks/".concat(taskId, "/assign-to-user")
      }),
          postData = _usePost.postData;

      var reassignButtonHandler = (0, _react.useCallback)(function () {
        setErrorToast(false);
        setSendingPost(true);
        postData().then(function () {
          toaster.success(Liferay.Language.get('this-task-has-been-reassigned'));
          onCloseModal(true);
          setErrorToast(false);
          setSendingPost(false);
          setSelectedItem({});
        }).catch(function () {
          setErrorToast(true);
          setSendingPost(false);
        }); // eslint-disable-next-line react-hooks/exhaustive-deps
      }, [postData]);
      var promises = (0, _react.useMemo)(function () {
        setErrorToast(false);

        if (selectedInstance.id && visibleModal === 'singleReassign') {
          return [fetchData().catch(function (err) {
            setErrorToast(true);
            return Promise.reject(err);
          })];
        }

        return []; // eslint-disable-next-line react-hooks/exhaustive-deps
      }, [fetchData, retry, visibleModal]);
      var statesProps = (0, _react.useMemo)(function () {
        return {
          errorProps: {
            actionButton: /*#__PURE__*/_react.default.createElement(_RetryButton.default, {
              onClick: function onClick() {
                return setRetry(function (retry) {
                  return retry + 1;
                });
              }
            }),
            className: 'py-7',
            hideAnimation: true,
            message: Liferay.Language.get('unable-to-retrieve-data'),
            messageClassName: 'small'
          },
          loadingProps: {
            className: 'pt-7'
          }
        };
      }, [setRetry]);
      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_PromisesResolver.default, {
          promises: promises
        }, visibleModal === 'singleReassign' && /*#__PURE__*/_react.default.createElement(_modal.default, {
          observer: observer,
          size: "lg"
        }, /*#__PURE__*/_react.default.createElement(_modal.default.Header, null, Liferay.Language.get('select-new-assignee')), errorToast && /*#__PURE__*/_react.default.createElement(_alert.default, {
          className: "mb-0",
          displayType: "danger",
          title: Liferay.Language.get('error')
        }, Liferay.Language.get('your-request-has-failed')), /*#__PURE__*/_react.default.createElement("div", {
          className: "modal-metrics-content",
          style: {
            height: '20rem'
          }
        }, /*#__PURE__*/_react.default.createElement(_modal.default.Body, null, /*#__PURE__*/_react.default.createElement(_ContentView.default, statesProps, /*#__PURE__*/_react.default.createElement(SingleReassignModal.Table, _extends({
          setAssigneeId: setAssigneeId
        }, data))))), /*#__PURE__*/_react.default.createElement(_modal.default.Footer, {
          first: /*#__PURE__*/_react.default.createElement(_button.default, {
            disabled: sendingPost,
            displayType: "secondary",
            onClick: onClose
          }, Liferay.Language.get('cancel')),
          last: /*#__PURE__*/_react.default.createElement(_button.default, {
            disabled: sendingPost || !assigneeId,
            onClick: reassignButtonHandler
          }, Liferay.Language.get('reassign'))
        }))))
      );
    };

    SingleReassignModal.Table = _SingleReassignModalTable.Table;
    var _default = SingleReassignModal;
    exports.default = _default;
    //# sourceMappingURL=SingleReassignModal.es.js.map
  }
});
//# sourceMappingURL=SingleReassignModal.es.js.map