Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/performance-by-step-page/PerformanceByStepPage.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../../shared/components/promises-resolver/PromisesResolver.es', '../../shared/components/router/queryString.es', '../../shared/hooks/useFetch.es', '../../shared/hooks/useFilter.es', '../../shared/hooks/useProcessTitle.es', '../filter/hooks/useTimeRangeFetch.es', '../filter/util/timeRangeUtil.es', './PerformanceByStepPageBody.es', './PerformanceByStepPageHeader.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _PromisesResolver = _interopRequireDefault(require("../../shared/components/promises-resolver/PromisesResolver.es"));

    var _queryString = require("../../shared/components/router/queryString.es");

    var _useFetch2 = require("../../shared/hooks/useFetch.es");

    var _useFilter2 = require("../../shared/hooks/useFilter.es");

    var _useProcessTitle = require("../../shared/hooks/useProcessTitle.es");

    var _useTimeRangeFetch = require("../filter/hooks/useTimeRangeFetch.es");

    var _timeRangeUtil = require("../filter/util/timeRangeUtil.es");

    var _PerformanceByStepPageBody = require("./PerformanceByStepPageBody.es");

    var _PerformanceByStepPageHeader = require("./PerformanceByStepPageHeader.es");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _extends() {
      _extends = Object.assign || function (target) {
        for (var i = 1; i < arguments.length; i++) {
          var source = arguments[i];for (var key in source) {
            if (Object.prototype.hasOwnProperty.call(source, key)) {
              target[key] = source[key];
            }
          }
        }return target;
      };return _extends.apply(this, arguments);
    }

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    function _objectWithoutProperties(source, excluded) {
      if (source == null) return {};var target = _objectWithoutPropertiesLoose(source, excluded);var key, i;if (Object.getOwnPropertySymbols) {
        var sourceSymbolKeys = Object.getOwnPropertySymbols(source);for (i = 0; i < sourceSymbolKeys.length; i++) {
          key = sourceSymbolKeys[i];if (excluded.indexOf(key) >= 0) continue;if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;target[key] = source[key];
        }
      }return target;
    }

    function _objectWithoutPropertiesLoose(source, excluded) {
      if (source == null) return {};var target = {};var sourceKeys = Object.keys(source);var key, i;for (i = 0; i < sourceKeys.length; i++) {
        key = sourceKeys[i];if (excluded.indexOf(key) >= 0) continue;target[key] = source[key];
      }return target;
    }

    var PerformanceByStepPage = function PerformanceByStepPage(_ref) {
      var query = _ref.query,
          routeParams = _ref.routeParams;
      (0, _useTimeRangeFetch.useTimeRangeFetch)();

      var processId = routeParams.processId,
          paginationParams = _objectWithoutProperties(routeParams, ["processId"]);

      var _parse = (0, _queryString.parse)(query),
          _parse$search = _parse.search,
          search = _parse$search === void 0 ? null : _parse$search;

      (0, _useProcessTitle.useProcessTitle)(processId, Liferay.Language.get('performance-by-step'));

      var _useFilter = (0, _useFilter2.useFilter)({}),
          _useFilter$filterValu = _useFilter.filterValues,
          dateEnd = _useFilter$filterValu.dateEnd,
          dateStart = _useFilter$filterValu.dateStart,
          prefixedKeys = _useFilter.prefixedKeys;

      var timeRange = (0, _react.useMemo)(function () {
        return (0, _timeRangeUtil.getTimeRangeParams)(dateStart, dateEnd);
      }, [dateEnd, dateStart]);

      var _useFetch = (0, _useFetch2.useFetch)({
        params: _objectSpread(_objectSpread({
          completed: true,
          key: search
        }, paginationParams), timeRange),
        url: "/processes/".concat(processId, "/nodes/metrics")
      }),
          data = _useFetch.data,
          fetchData = _useFetch.fetchData;

      var promises = (0, _react.useMemo)(function () {
        return [fetchData()];
      }, [fetchData]);
      return (/*#__PURE__*/_react.default.createElement(_PromisesResolver.default, {
          promises: promises
        }, /*#__PURE__*/_react.default.createElement(PerformanceByStepPage.Header, {
          filterKeys: prefixedKeys,
          routeParams: _objectSpread(_objectSpread({}, routeParams), {}, {
            search: search
          }),
          totalCount: data.totalCount
        }), /*#__PURE__*/_react.default.createElement(PerformanceByStepPage.Body, _extends({}, data, {
          filtered: search
        })))
      );
    };

    PerformanceByStepPage.Body = _PerformanceByStepPageBody.Body;
    PerformanceByStepPage.Header = _PerformanceByStepPageHeader.Header;
    var _default = PerformanceByStepPage;
    exports.default = _default;
    //# sourceMappingURL=PerformanceByStepPage.es.js.map
  }
});
//# sourceMappingURL=PerformanceByStepPage.es.js.map