Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/process-metrics/workload-by-step-card/WorkloadByStepCardTable.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../../../shared/components/list/ListHeadItem.es', './WorkloadByStepCardItem.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.Table = void 0;

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _ListHeadItem = _interopRequireDefault(require("../../../shared/components/list/ListHeadItem.es"));

    var _WorkloadByStepCardItem = require("./WorkloadByStepCardItem.es");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _extends() {
      _extends = Object.assign || function (target) {
        for (var i = 1; i < arguments.length; i++) {
          var source = arguments[i];for (var key in source) {
            if (Object.prototype.hasOwnProperty.call(source, key)) {
              target[key] = source[key];
            }
          }
        }return target;
      };return _extends.apply(this, arguments);
    }

    var Table = function Table(_ref) {
      var items = _ref.items,
          processId = _ref.processId;
      var onTimeTitle = Liferay.Language.get('on-time');
      var overdueTitle = Liferay.Language.get('overdue');
      var stepNameTitle = Liferay.Language.get('step-name');
      var totalPendingTitle = Liferay.Language.get('total-pending');
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "table-responsive"
        }, /*#__PURE__*/_react.default.createElement("table", {
          className: "show-quick-actions-on-hover table table-autofit table-heading-nowrap table-hover table-list"
        }, /*#__PURE__*/_react.default.createElement("thead", null, /*#__PURE__*/_react.default.createElement("tr", null, /*#__PURE__*/_react.default.createElement("th", {
          className: "table-cell-expand table-head-title"
        }, stepNameTitle), /*#__PURE__*/_react.default.createElement("th", {
          className: "table-head-title text-right"
        }, /*#__PURE__*/_react.default.createElement(_ListHeadItem.default, {
          iconColor: "danger",
          iconName: "exclamation-circle",
          name: "overdueInstanceCount",
          title: overdueTitle
        })), /*#__PURE__*/_react.default.createElement("th", {
          className: "table-head-title text-right"
        }, /*#__PURE__*/_react.default.createElement(_ListHeadItem.default, {
          iconColor: "success",
          iconName: "check-circle",
          name: "onTimeInstanceCount",
          title: onTimeTitle
        })), /*#__PURE__*/_react.default.createElement("th", {
          className: "table-head-title text-right"
        }, /*#__PURE__*/_react.default.createElement(_ListHeadItem.default, {
          name: "instanceCount",
          title: totalPendingTitle
        })))), /*#__PURE__*/_react.default.createElement("tbody", null, items.map(function (step, index) {
          return (/*#__PURE__*/_react.default.createElement(Table.Item, _extends({}, step, {
              key: index,
              processId: processId
            }))
          );
        }))))
      );
    };

    exports.Table = Table;
    Table.Item = _WorkloadByStepCardItem.Item;
    //# sourceMappingURL=WorkloadByStepCardTable.es.js.map
  }
});
//# sourceMappingURL=WorkloadByStepCardTable.es.js.map