Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/sla/form-page/hooks/useCalendars.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../../../../shared/hooks/useFetch.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.useCalendars = void 0;

    var _react = require("frontend-js-react-web$react");

    var _useFetch2 = require("../../../../shared/hooks/useFetch.es");

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    var useCalendars = function useCalendars() {
      var _useFetch = (0, _useFetch2.useFetch)({
        url: '/calendars'
      }),
          data = _useFetch.data,
          fetchCalendars = _useFetch.fetchData;

      var calendars = (0, _react.useMemo)(function () {
        return data.items || [];
      }, [data]);
      var defaultCalendar = (0, _react.useMemo)(function () {
        return calendars.find(function (_ref) {
          var defaultCalendar = _ref.defaultCalendar;
          return defaultCalendar;
        });
      }, [calendars]);
      return {
        calendars: calendars,
        defaultCalendar: defaultCalendar,
        fetchCalendars: fetchCalendars
      };
    };

    exports.useCalendars = useCalendars;
    //# sourceMappingURL=useCalendars.es.js.map
  }
});
//# sourceMappingURL=useCalendars.es.js.map