Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/sla/list-page/modal/DeleteSLAModal.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/modal', 'frontend-js-react-web$react', '../../../../shared/components/toaster/hooks/useToaster.es', '../../../../shared/hooks/useDelete.es', '../SLAListPage.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _modal = _interopRequireWildcard(require("@frontend-taglib-clay$clayui/modal"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _useToaster = require("../../../../shared/components/toaster/hooks/useToaster.es");

    var _useDelete = require("../../../../shared/hooks/useDelete.es");

    var _SLAListPage = require("../SLAListPage.es");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    var DeleteSLAModal = function DeleteSLAModal() {
      var _useContext = (0, _react.useContext)(_SLAListPage.SLAListPageContext),
          itemToRemove = _useContext.itemToRemove,
          setVisible = _useContext.setVisible,
          visible = _useContext.visible;

      var deleteSLA = (0, _useDelete.useDelete)({
        url: "/slas/".concat(itemToRemove)
      });
      var toaster = (0, _useToaster.useToaster)();

      var _useModal = (0, _modal.useModal)({
        onClose: function onClose() {
          setVisible(false);
        }
      }),
          observer = _useModal.observer,
          onClose = _useModal.onClose;

      return visible && /*#__PURE__*/_react.default.createElement(_modal.default, {
        observer: observer,
        size: "lg"
      }, /*#__PURE__*/_react.default.createElement(_modal.default.Body, null, /*#__PURE__*/_react.default.createElement("p", null, Liferay.Language.get('deleting-slas-will-reflect-on-report-data'))), /*#__PURE__*/_react.default.createElement(_modal.default.Footer, {
        last: /*#__PURE__*/_react.default.createElement(_button.default.Group, {
          spaced: true
        }, /*#__PURE__*/_react.default.createElement(_button.default, {
          displayType: "secondary",
          onClick: onClose
        }, Liferay.Language.get('cancel')), /*#__PURE__*/_react.default.createElement(_button.default, {
          id: "removeSlaButton",
          onClick: function removeItem() {
            deleteSLA().then(function () {
              onClose();
              toaster.success(Liferay.Language.get('sla-was-deleted'));
            }).catch(function () {
              return toaster.danger(Liferay.Language.get('your-request-has-failed'));
            });
          }
        }, Liferay.Language.get('ok')))
      }));
    };

    var _default = DeleteSLAModal;
    exports.default = _default;
    //# sourceMappingURL=DeleteSLAModal.es.js.map
  }
});
//# sourceMappingURL=DeleteSLAModal.es.js.map