Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/shared/components/filter/FilterItem.es", ['module', 'exports', 'require', 'frontend-js-react-web$classnames', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.FilterItem = void 0;

    var _classnames = _interopRequireDefault(require("frontend-js-react-web$classnames"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function _objectWithoutProperties(source, excluded) {
      if (source == null) return {};var target = _objectWithoutPropertiesLoose(source, excluded);var key, i;if (Object.getOwnPropertySymbols) {
        var sourceSymbolKeys = Object.getOwnPropertySymbols(source);for (i = 0; i < sourceSymbolKeys.length; i++) {
          key = sourceSymbolKeys[i];if (excluded.indexOf(key) >= 0) continue;if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;target[key] = source[key];
        }
      }return target;
    }

    function _objectWithoutPropertiesLoose(source, excluded) {
      if (source == null) return {};var target = {};var sourceKeys = Object.keys(source);var key, i;for (i = 0; i < sourceKeys.length; i++) {
        key = sourceKeys[i];if (excluded.indexOf(key) >= 0) continue;target[key] = source[key];
      }return target;
    }

    var FilterItem = function FilterItem(_ref) {
      var _ref$active = _ref.active,
          active = _ref$active === void 0 ? false : _ref$active,
          description = _ref.description,
          dividerAfter = _ref.dividerAfter,
          hideControl = _ref.hideControl,
          _ref$labelPropertyNam = _ref.labelPropertyName,
          labelPropertyName = _ref$labelPropertyNam === void 0 ? 'name' : _ref$labelPropertyNam,
          multiple = _ref.multiple,
          name = _ref.name,
          onClick = _ref.onClick,
          preventClick = _ref.preventClick,
          otherProps = _objectWithoutProperties(_ref, ["active", "description", "dividerAfter", "hideControl", "labelPropertyName", "multiple", "name", "onClick", "preventClick"]);

      var _useState = (0, _react.useState)(active),
          _useState2 = _slicedToArray(_useState, 2),
          checked = _useState2[0],
          setChecked = _useState2[1];

      var classes = {
        control: (0, _classnames.default)('custom-control', multiple ? 'custom-checkbox' : 'custom-radio'),
        dropdown: (0, _classnames.default)('dropdown-item', checked && 'active', description && 'with-description', hideControl && 'control-hidden')
      };
      (0, _react.useEffect)(function () {
        setChecked(active); // eslint-disable-next-line react-hooks/exhaustive-deps
      }, [active]);

      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
          className: classes.dropdown,
          onClick: function onClickFilter(event) {
            onClick(event);

            if (!preventClick) {
              setChecked(!checked);
            }
          }
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: classes.control
        }, /*#__PURE__*/_react.default.createElement("input", {
          checked: checked,
          className: "custom-control-input",
          type: multiple ? 'checkbox' : 'radio'
        }), /*#__PURE__*/_react.default.createElement("span", {
          className: "custom-control-label"
        }, /*#__PURE__*/_react.default.createElement("span", {
          className: "custom-control-label-text"
        }, otherProps[labelPropertyName] || name), description && /*#__PURE__*/_react.default.createElement("span", {
          className: "custom-control-label-text dropdown-item-description"
        }, description)))), dividerAfter && /*#__PURE__*/_react.default.createElement("li", {
          className: "dropdown-divider"
        }))
      );
    };

    exports.FilterItem = FilterItem;
    //# sourceMappingURL=FilterItem.es.js.map
  }
});
//# sourceMappingURL=FilterItem.es.js.map