Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/shared/components/filter/FilterSearch.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/icon', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.FilterSearch = void 0;

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    var FilterSearch = function FilterSearch(_ref) {
      var children = _ref.children,
          filteredItems = _ref.filteredItems,
          onChange = _ref.onChange,
          searchTerm = _ref.searchTerm,
          totalCount = _ref.totalCount;
      var emptyResults = filteredItems.length === 0;

      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, totalCount > 12 && /*#__PURE__*/_react.default.createElement("div", {
          className: "dropdown-section"
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "input-group input-group-sm"
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "input-group-item"
        }, /*#__PURE__*/_react.default.createElement("input", {
          className: "form-control input-group-inset input-group-inset-after",
          onChange: onChange,
          placeholder: Liferay.Language.get('search-for'),
          type: "text",
          value: searchTerm
        }), /*#__PURE__*/_react.default.createElement("span", {
          className: "input-group-inset-item input-group-inset-item-after"
        }, /*#__PURE__*/_react.default.createElement("span", {
          className: "ml-2 mr-2"
        }, /*#__PURE__*/_react.default.createElement(_icon.default, {
          symbol: "search"
        })))))), emptyResults && /*#__PURE__*/_react.default.createElement("ul", {
          className: "list-unstyled"
        }, /*#__PURE__*/_react.default.createElement("li", null, /*#__PURE__*/_react.default.createElement("span", {
          className: "disabled dropdown-item"
        }, Liferay.Language.get('no-results-were-found')))), children)
      );
    };

    exports.FilterSearch = FilterSearch;
    //# sourceMappingURL=FilterSearch.es.js.map
  }
});
//# sourceMappingURL=FilterSearch.es.js.map