Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/shared/components/header/HeaderTitle.es", ['module', 'exports', 'require', 'frontend-js-react-web', 'frontend-js-react-web$react', '../portal/Portal.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _frontendJsReactWeb = require("frontend-js-react-web");

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _Portal = _interopRequireDefault(require("../portal/Portal.es"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var HeaderTitle = function HeaderTitle(_ref) {
      var container = _ref.container,
          title = _ref.title;

      var _useState = (0, _react.useState)(title),
          _useState2 = _slicedToArray(_useState, 2),
          currentTitle = _useState2[0],
          setCurrentTitle = _useState2[1];

      var prevTitle = (0, _frontendJsReactWeb.usePrevious)(currentTitle);
      (0, _react.useEffect)(function () {
        if (title) {
          setCurrentTitle(title);

          if (prevTitle !== title) {
            document.title = document.title.replace(prevTitle, title);
          }
        } // eslint-disable-next-line react-hooks/exhaustive-deps
      }, [title]);
      return (/*#__PURE__*/_react.default.createElement(_Portal.default, {
          container: container,
          elementId: "headerTitle",
          replace: true
        }, currentTitle)
      );
    };

    var _default = HeaderTitle;
    exports.default = _default;
    //# sourceMappingURL=HeaderTitle.es.js.map
  }
});
//# sourceMappingURL=HeaderTitle.es.js.map