Liferay.Loader.define("commerce-frontend-taglib@10.1.5/add_organizations_modal/OrganizationListItem.soy", ['module', 'exports', 'require', 'frontend-js-metal-web$metal-component', 'frontend-js-metal-web$metal-soy'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = exports.templates = exports.OrganizationListItem = void 0;

    var _metalComponent = _interopRequireDefault(require("frontend-js-metal-web$metal-component"));

    var _metalSoy = _interopRequireDefault(require("frontend-js-metal-web$metal-soy"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    var templates;
    exports.templates = templates;
    goog.loadModule(function (exports) {
      var soy = goog.require('soy');

      goog.require('soydata');

      // This file was automatically generated from OrganizationListItem.soy.
      // Please don't edit this file by hand.

      /**
       * @fileoverview Templates in namespace OrganizationListItem.
       * @public
       */

      goog.module('OrganizationListItem.incrementaldom');

      goog.require('goog.soy.data.SanitizedContent');

      var incrementalDom = goog.require('incrementaldom');

      goog.require('soy.asserts');

      goog.require('soy.idom');

      var $templateAlias2 = _metalSoy.default.getTemplate('AddToTickItem.incrementaldom', 'render');

      var $templateAlias1 = _metalSoy.default.getTemplate('AutocompleteItem.incrementaldom', 'render');
      /**
       * @param {{
       *  name: (!goog.soy.data.SanitizedContent|string),
       *  _selected: (boolean|null|undefined),
       *  query: (!goog.soy.data.SanitizedContent|null|string|undefined),
       *  colorId: (null|number|undefined),
       *  _handleToggleItem: (?)
       * }} opt_data
       * @param {Object<string, *>=} opt_ijData
       * @param {Object<string, *>=} opt_ijData_deprecated
       * @return {void}
       * @suppress {checkTypes}
       */

      function $render(opt_data, opt_ijData, opt_ijData_deprecated) {
        opt_ijData = opt_ijData_deprecated || opt_ijData;
        /** @type {!goog.soy.data.SanitizedContent|string} */

        var name = soy.asserts.assertType(goog.isString(opt_data.name) || opt_data.name instanceof goog.soy.data.SanitizedContent, 'name', opt_data.name, '!goog.soy.data.SanitizedContent|string');
        /** @type {boolean|null|undefined} */

        var _selected = soy.asserts.assertType(opt_data._selected == null || goog.isBoolean(opt_data._selected) || opt_data._selected === 1 || opt_data._selected === 0, '_selected', opt_data._selected, 'boolean|null|undefined');
        /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

        var query = soy.asserts.assertType(opt_data.query == null || goog.isString(opt_data.query) || opt_data.query instanceof goog.soy.data.SanitizedContent, 'query', opt_data.query, '!goog.soy.data.SanitizedContent|null|string|undefined');
        /** @type {null|number|undefined} */

        var colorId = soy.asserts.assertType(opt_data.colorId == null || goog.isNumber(opt_data.colorId), 'colorId', opt_data.colorId, 'null|number|undefined');
        /** @type {?} */

        var _handleToggleItem = opt_data._handleToggleItem;
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('class', 'user-item commerce-bdc-' + colorId);
        incrementalDom.attr('data-onclick', _handleToggleItem);
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('class', 'user-item__content');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('span');
        incrementalDom.attr('class', 'user-item__primary-text');
        incrementalDom.elementOpenEnd();
        $templateAlias1({
          text: name,
          query: query
        }, null, opt_ijData);
        incrementalDom.elementClose('span');
        incrementalDom.elementClose('div');
        incrementalDom.elementOpenStart('button');
        incrementalDom.attr('class', 'user-item__action');
        incrementalDom.elementOpenEnd();
        $templateAlias2({
          added: _selected
        }, null, opt_ijData);
        incrementalDom.elementClose('button');
        incrementalDom.elementClose('div');
      }

      exports.render = $render;
      /**
       * @typedef {{
       *  name: (!goog.soy.data.SanitizedContent|string),
       *  _selected: (boolean|null|undefined),
       *  query: (!goog.soy.data.SanitizedContent|null|string|undefined),
       *  colorId: (null|number|undefined),
       *  _handleToggleItem: (?)
       * }}
       */

      $render.Params;

      if (goog.DEBUG) {
        $render.soyTemplateName = 'OrganizationListItem.render';
      }

      exports.render.params = ["name", "_selected", "query", "colorId", "_handleToggleItem"];
      exports.render.types = {
        "name": "string ",
        "_selected": "bool ",
        "query": "string ",
        "colorId": "number ",
        "_handleToggleItem": "?"
      };
      exports.templates = templates = exports;
      return exports;
    });

    var OrganizationListItem = /*#__PURE__*/function (_Component) {
      _inherits(OrganizationListItem, _Component);

      function OrganizationListItem() {
        _classCallCheck(this, OrganizationListItem);

        return _possibleConstructorReturn(this, _getPrototypeOf(OrganizationListItem).apply(this, arguments));
      }

      return OrganizationListItem;
    }(_metalComponent.default);

    exports.OrganizationListItem = OrganizationListItem;

    _metalSoy.default.register(OrganizationListItem, templates);

    var _default = templates;
    /* jshint ignore:end */

    exports.default = _default;
    //# sourceMappingURL=OrganizationListItem.soy.js.map
  }
});
//# sourceMappingURL=OrganizationListItem.soy.js.map