Liferay.Loader.define("commerce-frontend-js@3.0.26/ServiceProvider/commerce-admin-catalog/v1.0/ProductGroups", ['module', 'exports', 'require', '../../../utilities/AJAX/index'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _index = _interopRequireDefault(require("../../../utilities/AJAX/index"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var PRODUCT_GROUPS_PATH = '/product-groups';
    var VERSION = 'v1.0';

    function resolvePath() {
      var basePath = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
      var productGroupId = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';
      return "".concat(basePath).concat(VERSION).concat(PRODUCT_GROUPS_PATH, "/").concat(productGroupId);
    }

    var _default = function _default(basePath) {
      return {
        addProductGroup: function addProductGroup(json) {
          return _index.default.POST("".concat(resolvePath(basePath)), json);
        },
        addProductToProductGroup: function addProductToProductGroup(id, json) {
          return _index.default.POST("".concat(resolvePath(basePath, id), "/product-group-products"), json);
        }
      };
    };

    exports.default = _default;
    //# sourceMappingURL=ProductGroups.js.map
  }
});
//# sourceMappingURL=ProductGroups.js.map