Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/instance-list-page/InstanceListPageBody.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/layout', 'frontend-js-react-web', 'frontend-js-react-web$react', '../../shared/components/content-view/ContentView.es', '../../shared/components/list/ReloadButton.es', '../../shared/components/pagination-bar/PaginationBar.es', '../../shared/components/promises-resolver/PromisesResolver.es', './InstanceListPageTable.es', './modal/ModalProvider.es', './modal/instance-details/InstanceDetailsModal.es', './modal/reassign/bulk/BulkReassignModal.es', './modal/reassign/single/SingleReassignModal.es', './modal/transition/bulk/BulkTransitionModal.es', './modal/transition/single/SingleTransitionModal.es', './modal/update-due-date/BulkUpdateDueDateModal.es', './modal/update-due-date/SingleUpdateDueDateModal.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.Body = void 0;

    var _layout = _interopRequireDefault(require("@frontend-taglib-clay$clayui/layout"));

    var _frontendJsReactWeb = require("frontend-js-react-web");

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _ContentView = _interopRequireDefault(require("../../shared/components/content-view/ContentView.es"));

    var _ReloadButton = _interopRequireDefault(require("../../shared/components/list/ReloadButton.es"));

    var _PaginationBar = _interopRequireDefault(require("../../shared/components/pagination-bar/PaginationBar.es"));

    var _PromisesResolver = _interopRequireDefault(require("../../shared/components/promises-resolver/PromisesResolver.es"));

    var _InstanceListPageTable = require("./InstanceListPageTable.es");

    var _ModalProvider = require("./modal/ModalProvider.es");

    var _InstanceDetailsModal = _interopRequireDefault(require("./modal/instance-details/InstanceDetailsModal.es"));

    var _BulkReassignModal = _interopRequireDefault(require("./modal/reassign/bulk/BulkReassignModal.es"));

    var _SingleReassignModal = _interopRequireDefault(require("./modal/reassign/single/SingleReassignModal.es"));

    var _BulkTransitionModal = _interopRequireDefault(require("./modal/transition/bulk/BulkTransitionModal.es"));

    var _SingleTransitionModal = _interopRequireDefault(require("./modal/transition/single/SingleTransitionModal.es"));

    var _BulkUpdateDueDateModal = _interopRequireDefault(require("./modal/update-due-date/BulkUpdateDueDateModal.es"));

    var _SingleUpdateDueDateModal = _interopRequireDefault(require("./modal/update-due-date/SingleUpdateDueDateModal.es"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _extends() {
      _extends = Object.assign || function (target) {
        for (var i = 1; i < arguments.length; i++) {
          var source = arguments[i];for (var key in source) {
            if (Object.prototype.hasOwnProperty.call(source, key)) {
              target[key] = source[key];
            }
          }
        }return target;
      };return _extends.apply(this, arguments);
    }

    var Body = function Body(_ref) {
      var _ref$data = _ref.data,
          items = _ref$data.items,
          totalCount = _ref$data.totalCount,
          fetchData = _ref.fetchData,
          filtered = _ref.filtered,
          routeParams = _ref.routeParams;

      var _useContext = (0, _react.useContext)(_ModalProvider.ModalContext),
          fetchOnClose = _useContext.fetchOnClose,
          visibleModal = _useContext.visibleModal;

      var previousFetchData = (0, _frontendJsReactWeb.usePrevious)(fetchData);
      var promises = (0, _react.useMemo)(function () {
        if ((previousFetchData !== fetchData || fetchOnClose) && !visibleModal) {
          return [fetchData()];
        }

        return []; // eslint-disable-next-line react-hooks/exhaustive-deps
      }, [fetchData, visibleModal]);
      var statesProps = (0, _react.useMemo)(function () {
        return {
          emptyProps: {
            filtered: filtered,
            message: Liferay.Language.get('once-there-are-active-processes-metrics-will-appear-here')
          },
          errorProps: {
            actionButton: /*#__PURE__*/_react.default.createElement(_ReloadButton.default, null),
            hideAnimation: true,
            message: Liferay.Language.get('there-was-a-problem-retrieving-data-please-try-reloading-the-page'),
            messageClassName: 'small'
          },
          loadingProps: {}
        };
      }, [filtered]);
      return (/*#__PURE__*/_react.default.createElement(_PromisesResolver.default, {
          promises: promises
        }, /*#__PURE__*/_react.default.createElement(_layout.default.ContainerFluid, {
          className: "mt-4"
        }, /*#__PURE__*/_react.default.createElement(_ContentView.default, statesProps, totalCount > 0 && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(Body.Table, {
          items: items,
          totalCount: totalCount
        }), /*#__PURE__*/_react.default.createElement(_PaginationBar.default, _extends({}, routeParams, {
          totalCount: totalCount
        }))))), /*#__PURE__*/_react.default.createElement(Body.ModalWrapper, null))
      );
    };

    exports.Body = Body;

    var ModalWrapper = function ModalWrapper() {
      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_BulkReassignModal.default, null), /*#__PURE__*/_react.default.createElement(_BulkTransitionModal.default, null), /*#__PURE__*/_react.default.createElement(_BulkUpdateDueDateModal.default, null), /*#__PURE__*/_react.default.createElement(_InstanceDetailsModal.default, null), /*#__PURE__*/_react.default.createElement(_SingleReassignModal.default, null), /*#__PURE__*/_react.default.createElement(_SingleTransitionModal.default, null), /*#__PURE__*/_react.default.createElement(_SingleUpdateDueDateModal.default, null))
      );
    };

    Body.Table = _InstanceListPageTable.Table;
    Body.ModalWrapper = ModalWrapper;
    //# sourceMappingURL=InstanceListPageBody.es.js.map
  }
});
//# sourceMappingURL=InstanceListPageBody.es.js.map