Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/instance-list-page/modal/transition/single/SingleTransitionModal.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/alert', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/form', '@frontend-taglib-clay$clayui/modal', 'frontend-js-react-web$react', '../../../../../shared/components/toaster/hooks/useToaster.es', '../../../../../shared/hooks/useFetch.es', '../../../../../shared/hooks/usePost.es', '../../../InstanceListPageProvider.es', '../../ModalProvider.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _alert = _interopRequireDefault(require("@frontend-taglib-clay$clayui/alert"));

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _form = require("@frontend-taglib-clay$clayui/form");

    var _modal = _interopRequireWildcard(require("@frontend-taglib-clay$clayui/modal"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _useToaster = require("../../../../../shared/components/toaster/hooks/useToaster.es");

    var _useFetch2 = require("../../../../../shared/hooks/useFetch.es");

    var _usePost2 = require("../../../../../shared/hooks/usePost.es");

    var _InstanceListPageProvider = require("../../../InstanceListPageProvider.es");

    var _ModalProvider = require("../../ModalProvider.es");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var SingleTransitionModal = function SingleTransitionModal() {
      var _useState = (0, _react.useState)(''),
          _useState2 = _slicedToArray(_useState, 2),
          comment = _useState2[0],
          setComment = _useState2[1];

      var _useContext = (0, _react.useContext)(_ModalProvider.ModalContext),
          closeModal = _useContext.closeModal,
          setSingleTransition = _useContext.setSingleTransition,
          singleTransition = _useContext.singleTransition,
          visibleModal = _useContext.visibleModal;

      var _useContext2 = (0, _react.useContext)(_InstanceListPageProvider.InstanceListContext),
          selectedInstance = _useContext2.selectedInstance,
          setSelectedItem = _useContext2.setSelectedItem,
          setSelectedItems = _useContext2.setSelectedItems;

      var title = singleTransition.title,
          transitionName = singleTransition.transitionName;

      var _useState3 = (0, _react.useState)(false),
          _useState4 = _slicedToArray(_useState3, 2),
          errorToast = _useState4[0],
          setErrorToast = _useState4[1];

      var toaster = (0, _useToaster.useToaster)();

      var _useFetch = (0, _useFetch2.useFetch)({
        admin: true,
        params: {
          completed: false,
          page: 1,
          pageSize: 1
        },
        url: "/workflow-instances/".concat(selectedInstance.id, "/workflow-tasks")
      }),
          data = _useFetch.data,
          fetchData = _useFetch.fetchData;

      var onCloseModal = function onCloseModal(refetch) {
        closeModal(refetch);
        setSelectedItem({});
        setSelectedItems([]);
        setSingleTransition({
          title: '',
          transitionName: ''
        });
      };

      var _useModal = (0, _modal.useModal)({
        onClose: onCloseModal
      }),
          observer = _useModal.observer,
          onClose = _useModal.onClose;

      (0, _react.useEffect)(function () {
        if (selectedInstance.id && visibleModal === 'singleTransition') {
          fetchData();
        } // eslint-disable-next-line react-hooks/exhaustive-deps
      }, [fetchData, visibleModal]);
      var taskId = (0, _react.useMemo)(function () {
        return data && data.items ? data.items[0].id : {};
      }, [data]);

      var _usePost = (0, _usePost2.usePost)({
        admin: true,
        body: {
          comment: comment,
          transitionName: transitionName,
          workflowTaskId: taskId
        },
        url: "/workflow-tasks/".concat(taskId, "/change-transition")
      }),
          postData = _usePost.postData;

      var handleDone = (0, _react.useCallback)(function () {
        setErrorToast(false);
        postData().then(function () {
          toaster.success(Liferay.Language.get('the-selected-step-has-transitioned-successfully'));
          onCloseModal(true);
        }).catch(function () {
          setErrorToast("".concat(Liferay.Language.get('your-request-has-failed'), " ").concat(Liferay.Language.get('select-done-to-retry')));
        }); // eslint-disable-next-line react-hooks/exhaustive-deps
      }, [postData]);
      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, visibleModal === 'singleTransition' && /*#__PURE__*/_react.default.createElement(_modal.default, {
          observer: observer,
          size: "md"
        }, /*#__PURE__*/_react.default.createElement(_modal.default.Header, null, title), errorToast && /*#__PURE__*/_react.default.createElement(_alert.default, {
          className: "mb-0",
          displayType: "danger",
          title: Liferay.Language.get('error')
        }, errorToast), /*#__PURE__*/_react.default.createElement(_modal.default.Body, null, /*#__PURE__*/_react.default.createElement("label", {
          htmlFor: "commentTextArea"
        }, Liferay.Language.get('comment')), /*#__PURE__*/_react.default.createElement(_form.ClayInput, {
          component: "textarea",
          id: "commentTextArea",
          onChange: function onChange(_ref) {
            var target = _ref.target;
            return setComment(target.value);
          },
          placeholder: Liferay.Language.get('comment'),
          type: "text"
        })), /*#__PURE__*/_react.default.createElement(_modal.default.Footer, {
          last: /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_button.default, {
            className: "mr-3",
            displayType: "secondary",
            onClick: onClose
          }, Liferay.Language.get('cancel')), /*#__PURE__*/_react.default.createElement(_button.default, {
            onClick: handleDone
          }, Liferay.Language.get('done')))
        })))
      );
    };

    var _default = SingleTransitionModal;
    exports.default = _default;
    //# sourceMappingURL=SingleTransitionModal.es.js.map
  }
});
//# sourceMappingURL=SingleTransitionModal.es.js.map