Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/sla/list-page/SLAListPageBody.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../../../shared/components/content-view/ContentView.es', '../../../shared/components/list/ReloadButton.es', '../../../shared/components/pagination-bar/PaginationBar.es', './SLAListPageTable.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.Body = void 0;

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _ContentView = _interopRequireDefault(require("../../../shared/components/content-view/ContentView.es"));

    var _ReloadButton = _interopRequireDefault(require("../../../shared/components/list/ReloadButton.es"));

    var _PaginationBar = _interopRequireDefault(require("../../../shared/components/pagination-bar/PaginationBar.es"));

    var _SLAListPageTable = require("./SLAListPageTable.es");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    var Body = function Body(_ref) {
      var items = _ref.items,
          page = _ref.page,
          pageSize = _ref.pageSize,
          totalCount = _ref.totalCount;
      var statesProps = {
        emptyProps: {
          hideAnimation: false,
          message: Liferay.Language.get('sla-allows-to-define-and-measure-process-performance')
        },
        errorProps: {
          actionButton: /*#__PURE__*/_react.default.createElement(_ReloadButton.default, null),
          hideAnimation: true,
          message: Liferay.Language.get('there-was-a-problem-retrieving-data-please-try-reloading-the-page'),
          messageClassName: 'small'
        }
      };
      return (/*#__PURE__*/_react.default.createElement(_ContentView.default, statesProps, totalCount > 0 && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_SLAListPageTable.Table, {
          items: items
        }), /*#__PURE__*/_react.default.createElement(_PaginationBar.default, {
          page: page,
          pageSize: pageSize,
          totalCount: totalCount
        })))
      );
    };

    exports.Body = Body;
    //# sourceMappingURL=SLAListPageBody.es.js.map
  }
});
//# sourceMappingURL=SLAListPageBody.es.js.map