Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/sla/list-page/SLAListPageHeader.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/icon', '@frontend-taglib-clay$clayui/management-toolbar', '@frontend-taglib-clay$clayui/tooltip', 'frontend-js-react-web$react', '../../../shared/components/router/ChildLink.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.Header = void 0;

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _managementToolbar = _interopRequireDefault(require("@frontend-taglib-clay$clayui/management-toolbar"));

    var _tooltip = require("@frontend-taglib-clay$clayui/tooltip");

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _ChildLink = _interopRequireDefault(require("../../../shared/components/router/ChildLink.es"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    var Header = function Header(_ref) {
      var processId = _ref.processId;
      return (/*#__PURE__*/_react.default.createElement(_managementToolbar.default, null, /*#__PURE__*/_react.default.createElement(_managementToolbar.default.ItemList, {
          expand: true
        }, /*#__PURE__*/_react.default.createElement(_managementToolbar.default.Item, {
          className: "autofit-col-expand autofit-float-end"
        }, /*#__PURE__*/_react.default.createElement(_tooltip.ClayTooltipProvider, null, /*#__PURE__*/_react.default.createElement("span", null, /*#__PURE__*/_react.default.createElement("span", {
          className: "workflow-tooltip",
          "data-tooltip-align": 'bottom',
          title: Liferay.Language.get('new-sla')
        }, /*#__PURE__*/_react.default.createElement(_ChildLink.default, {
          className: "btn btn-primary nav-btn nav-btn-monospaced",
          to: "/sla/".concat(processId, "/new")
        }, /*#__PURE__*/_react.default.createElement(_icon.default, {
          symbol: "plus"
        }))))))))
      );
    };

    exports.Header = Header;
    //# sourceMappingURL=SLAListPageHeader.es.js.map
  }
});
//# sourceMappingURL=SLAListPageHeader.es.js.map