Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/shared/components/header/HeaderKebab.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/drop-down', '@frontend-taglib-clay$clayui/icon', 'frontend-js-react-web$react', '../portal/Portal.es', '../router/ChildLink.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _dropDown = _interopRequireDefault(require("@frontend-taglib-clay$clayui/drop-down"));

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _Portal = _interopRequireDefault(require("../portal/Portal.es"));

    var _ChildLink = _interopRequireDefault(require("../router/ChildLink.es"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _extends() {
      _extends = Object.assign || function (target) {
        for (var i = 1; i < arguments.length; i++) {
          var source = arguments[i];for (var key in source) {
            if (Object.prototype.hasOwnProperty.call(source, key)) {
              target[key] = source[key];
            }
          }
        }return target;
      };return _extends.apply(this, arguments);
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var HeaderKebab = function HeaderKebab(_ref) {
      var _ref$kebabItems = _ref.kebabItems,
          kebabItems = _ref$kebabItems === void 0 ? [] : _ref$kebabItems;

      var _useState = (0, _react.useState)(false),
          _useState2 = _slicedToArray(_useState, 2),
          active = _useState2[0],
          setActive = _useState2[1];

      var container = (0, _react.useMemo)(function () {
        var nav = document.querySelector('.user-control-group ul.control-menu-nav');
        return nav ? nav.lastElementChild : null;
      }, []);

      if (!kebabItems.length) {
        return null;
      }

      return (/*#__PURE__*/_react.default.createElement(_Portal.default, {
          className: "control-menu-nav-item",
          container: container,
          elementId: "headerKebab",
          position: "before"
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "control-menu-icon"
        }, /*#__PURE__*/_react.default.createElement(_dropDown.default, {
          active: active,
          onActiveChange: setActive,
          trigger: /*#__PURE__*/_react.default.createElement(_button.default, {
            className: "component-action",
            displayType: "unstyled",
            monospaced: true
          }, /*#__PURE__*/_react.default.createElement(_icon.default, {
            symbol: "ellipsis-v"
          }))
        }, kebabItems.map(function (kebabItem, index) {
          return (/*#__PURE__*/_react.default.createElement(HeaderKebab.Item, _extends({}, kebabItem, {
              key: index
            }))
          );
        }))))
      );
    };

    var Item = function Item(_ref2) {
      var _ref2$action = _ref2.action,
          action = _ref2$action === void 0 ? function () {} : _ref2$action,
          label = _ref2.label,
          link = _ref2.link;
      var DropDownItem = link ? _ChildLink.default : _button.default;
      var props = link ? {
        to: link
      } : {
        onClick: action
      };
      return (/*#__PURE__*/_react.default.createElement(_dropDown.default.ItemList, null, /*#__PURE__*/_react.default.createElement("li", null, /*#__PURE__*/_react.default.createElement(DropDownItem, _extends({
          className: "dropdown-item"
        }, props), label)))
      );
    };

    HeaderKebab.Item = Item;
    var _default = HeaderKebab;
    exports.default = _default;
    //# sourceMappingURL=HeaderKebab.es.js.map
  }
});
//# sourceMappingURL=HeaderKebab.es.js.map