Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/shared/components/tabs/Tabs.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/tabs', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _tabs = _interopRequireDefault(require("@frontend-taglib-clay$clayui/tabs"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    var Tabs = function Tabs(_ref) {
      var currentTab = _ref.currentTab,
          setCurrentTab = _ref.setCurrentTab,
          _ref$tabs = _ref.tabs,
          tabs = _ref$tabs === void 0 ? [] : _ref$tabs;
      return (/*#__PURE__*/_react.default.createElement(_tabs.default, {
          className: "ml-3 pl-2"
        }, tabs.map(function (_ref2, index) {
          var name = _ref2.name,
              tabKey = _ref2.tabKey;
          return (/*#__PURE__*/_react.default.createElement(_tabs.default.Item, {
              active: currentTab === tabKey,
              key: index,
              onClick: function onClick() {
                return setCurrentTab(tabKey);
              }
            }, name)
          );
        }))
      );
    };

    var _default = Tabs;
    exports.default = _default;
    //# sourceMappingURL=Tabs.es.js.map
  }
});
//# sourceMappingURL=Tabs.es.js.map