Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/shared/hooks/useDelete.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../../components/AppContext.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.useDelete = void 0;

    var _react = require("frontend-js-react-web$react");

    var _AppContext = require("../../components/AppContext.es");

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    var useDelete = function useDelete(_ref) {
      var _ref$admin = _ref.admin,
          admin = _ref$admin === void 0 ? false : _ref$admin,
          url = _ref.url;

      var _useContext = (0, _react.useContext)(_AppContext.AppContext),
          getClient = _useContext.getClient;

      var client = getClient(admin);
      return (0, _react.useCallback)(function () {
        return client.delete(url);
      }, [client, url]);
    };

    exports.useDelete = useDelete;
    //# sourceMappingURL=useDelete.es.js.map
  }
});
//# sourceMappingURL=useDelete.es.js.map